GNU bug report logs - #33194
26.1; Auto-revert mode causes emacs to use 100% cpu whenever a file is being written to in the home directory

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Justin Van Winkle <justin.vanwinkle@HIDDEN>; Keywords: fixed; dated Mon, 29 Oct 2018 16:46:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 33194 <at> debbugs.gnu.org:


Received: (at 33194) by debbugs.gnu.org; 4 Nov 2018 11:59:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 04 06:59:04 2018
Received: from localhost ([127.0.0.1]:33395 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJH3Y-0006D0-Dy
	for submit <at> debbugs.gnu.org; Sun, 04 Nov 2018 06:59:04 -0500
Received: from mout.gmx.net ([212.227.15.18]:51495)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gJH3V-0006CU-C0
 for 33194 <at> debbugs.gnu.org; Sun, 04 Nov 2018 06:59:01 -0500
Received: from detlef.gmx.de ([213.220.146.129]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MOf5S-1gDCVW2UJK-0066cy; Sun, 04
 Nov 2018 12:58:52 +0100
Received: from detlef.gmx.de ([213.220.146.129]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MOf5S-1gDCVW2UJK-0066cy; Sun, 04
 Nov 2018 12:58:52 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Justin Van Winkle <justin.vanwinkle@HIDDEN>
Subject: Re: bug#33194: 26.1;
 Auto-revert mode causes emacs to use 100% cpu whenever a file is
 being written to in the home directory
References: <CA+gsFk+q30eYxd1D+2GfUwTX=-kDuH6DvFU3M_+yicOhwnANmw@HIDDEN>
 <878t2gbisr.fsf@HIDDEN>
 <CA+gsFkJgpWNZ=2iOaMtdpbHH8UT3tAiJthv+1Fcy9obNWO58Ww@HIDDEN>
 <83pnvskl8b.fsf@HIDDEN>
 <CA+gsFkJZTmJF5+f7j3296y_-6ry=x=M_2QGXJcULnQRbq0E=YA@HIDDEN>
 <83lg6fjq6f.fsf@HIDDEN>
 <CA+gsFkKV47sy_ZAmZpUZZVVo-s=X7iX2MzqdGFqDRG96Go7xHA@HIDDEN>
 <CA+gsFk+aWLCm1X522EU6KScTa8nHky022rxU2=pszai=wF1yqg@HIDDEN>
 <87d0rmjumt.fsf@HIDDEN>
Date: Sun, 04 Nov 2018 12:58:51 +0100
In-Reply-To: <87d0rmjumt.fsf@HIDDEN> (Michael Albinus's message of "Sat, 03
 Nov 2018 11:57:46 +0100")
Message-ID: <878t29gikk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:mZKeZze9+e+hG9aTBD4xqLU69Onp9L0w7AcBYMyU7p2Z/v7Ie5o
 RaUwosJHDRnDvDoNtHeLmhT8vjlGPNbBN/81K/142ltNOPq44yEqFykurS/9L3QPFWBAHkx
 m/mjIJA7lMW9HJ9OijFKfvBZ05td4mxSr9Jv7IpGwxpwkPMqrY0f0eHeYjwveHHmsyrI7kk
 i/z7Riv9xzUoYMM1GrrDA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:47frBnYMeZg=:Tm036zq/Kj/EOg/SopPc+Z
 uJ1rEPfIar8hW3WOOpzmRK0JPsr9bsfV85jrq66+93ZCYYjey5oTAUM+6rrzP3ewpsN9+TLIP
 p1nccarHmLD/bh2JRTmPEg08AuWvxlLJ3Pik/NWa4orsUP/ipPzp3qUZwdNTnpx+LqA7QLD3P
 3zBE0I0SDlNkPHXkFjZkqzv4IWO6WCeWOtH5IHkwdRAlz2Ia7wxMurLErvXQzcngxXqGuLVVt
 gYUB8dbqMdKf+9oiT6VLvd6jTTRQPiMyjVdGfKA/Bu2ppSWe/dHI+zt9hqhaivCQTc0gVlzhG
 L96wZTx0y0mSx1OubL5i9dvmsKPzsHwqGlHDC1lgNuI2YoZkiSWCmDKVC3S2jpR37OZLpm9QB
 zdzLlnBmupvOsLKnhWrCLzpNgMUy563bqtJ+cGNG5dJxYCPLTCWCnLRt3a6fNPpopLGtFSBQo
 nY0AkXzV2+bj+bHxZQ/rnFX8FdH90RUZBOJXg51HdojrPNsx/ppYenlWrfZhnkk/yj1/mGyQC
 pFQZ3zfjKtAGmcqRs+y4NE+CDM6lj0oZTAurGhJiFE5ijILT8JHA8rjer+OpN4CHHWbTouHG8
 PBj7Kp3sMwjDUTZfhrjqZSO8PkE0VJ8l2j9HWTzkzyQq4UhmEeroiSLNzxJLCqq+vksExHO2I
 Hlxau6bKi3m3uVPUeQ5/hnZ2IPAoPm5x/7Tyu/HpIW+Ia/6Lgr+kKr7J6KpEPtIC72yTfWExg
 we0V+6UeUWnSn8DFXVAB4s7xmWaaiRchO3Qd8ewPkzzVXAUdrH6FR4e6w0Qa25q8PHfvj6icj
 z0gwO6niaoz9/90d/dEqajGA7aYJC1EM5CQwoIGu3ohW3k8/eR4YWaVbVcqrOu6WwEuPNEhxj
 +BblfFTLg7jWChkOhDV3dB1wOPloncyrwxfgWf00nSaSXEEf7JSWSkdrfV2dlpVyRqLC1pZU/
 dJdwh5z8MXw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33194
Cc: eliz@HIDDEN, 33194 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Michael Albinus <michael.albinus@HIDDEN> writes:

Hi Justin,

>> I mean it is certainly a bug to use 100% of a cpu just because a file
>> that is in the same directory to a file you are editing is being
>> written to, but it may not be unintentional behavior.
>
> I could reproduce the problem. I have a running Emacs for some days, and
> I've enabled `global-auto-revert-mode'. Starting scp copy of a large
> file outside Emacs, brought Emacs up to 100% cpu usage.

I have pushed a fix for this to Emacs' master branch in git. The case of
several buffers using the same file notification descriptor was prepared
already in the code; due to a silly bug it didn't work.

> The variable `file-notify-descriptors' contains ...
>
> As we can see, many identical entries #s(file-notify--watch
> /home/albinus nil auto-revert-notify-handler).
> Every incoming event for "/home/albinus" triggers the many calls of
> `auto-revert-notify-handler', although one entry would be sufficient. I
> will check, where all these entries come from.

This doesn't happen any longer for me. And Emacs doesn't eat all cpu
time.

Do you have a chance to build Emacs 27.0.50, for verification?

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33194; Package emacs. Full text available.
Added tag(s) fixed. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33194 <at> debbugs.gnu.org:


Received: (at 33194) by debbugs.gnu.org; 3 Nov 2018 10:57:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 03 06:57:57 2018
Received: from localhost ([127.0.0.1]:60653 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gItcr-00027L-1m
	for submit <at> debbugs.gnu.org; Sat, 03 Nov 2018 06:57:57 -0400
Received: from mout.gmx.net ([212.227.15.19]:54269)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gItcp-000279-Gm
 for 33194 <at> debbugs.gnu.org; Sat, 03 Nov 2018 06:57:56 -0400
Received: from detlef.gmx.de ([79.140.122.77]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LsChr-1fXtQp1IFD-013yhh; Sat, 03
 Nov 2018 11:57:48 +0100
Received: from detlef.gmx.de ([79.140.122.77]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LsChr-1fXtQp1IFD-013yhh; Sat, 03
 Nov 2018 11:57:48 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Justin Van Winkle <justin.vanwinkle@HIDDEN>
Subject: Re: bug#33194: 26.1;
 Auto-revert mode causes emacs to use 100% cpu whenever a file is
 being written to in the home directory
References: <CA+gsFk+q30eYxd1D+2GfUwTX=-kDuH6DvFU3M_+yicOhwnANmw@HIDDEN>
 <878t2gbisr.fsf@HIDDEN>
 <CA+gsFkJgpWNZ=2iOaMtdpbHH8UT3tAiJthv+1Fcy9obNWO58Ww@HIDDEN>
 <83pnvskl8b.fsf@HIDDEN>
 <CA+gsFkJZTmJF5+f7j3296y_-6ry=x=M_2QGXJcULnQRbq0E=YA@HIDDEN>
 <83lg6fjq6f.fsf@HIDDEN>
 <CA+gsFkKV47sy_ZAmZpUZZVVo-s=X7iX2MzqdGFqDRG96Go7xHA@HIDDEN>
 <CA+gsFk+aWLCm1X522EU6KScTa8nHky022rxU2=pszai=wF1yqg@HIDDEN>
Date: Sat, 03 Nov 2018 11:57:46 +0100
In-Reply-To: <CA+gsFk+aWLCm1X522EU6KScTa8nHky022rxU2=pszai=wF1yqg@HIDDEN>
 (Justin Van Winkle's message of "Tue, 30 Oct 2018 14:55:22 -0400")
Message-ID: <87d0rmjumt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:ZLte9qNVEVef0IwEP5QHm/ggswMoxG14AI2ajgY/7UIBxzw3HsC
 U7i83XS58y77hQAqcLVjZbkt9PNmQCESjI4IygrlKEZN10XCNRqxQSzVpQ/1jOSqpjMKTJ7
 qWR3GQOvQQNO52QW3FBqO3AibLwJ8QK8jcE1yVf0L42zPUM5ykLnMEyZPQjkUN9IPFw/IIb
 S0uMW3S84wCgeqhN0VuhQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:pE08IIuz0tA=:vZ+L1GmqLwhl5mN9ORRtd1
 wfHmXnYMxbwFwhdm5PjCbA7CJU53N1uwAdKCD7mkxWh8vieEsprZP7j15/yacyO3pFmhHCTyI
 T+wHxZp/roriV+6LHFZ2QuZ1gfpjSvil/dYL0ctNOSU3ZApLCCws9EFndoff6gYLcKx541DyC
 sQBzZuuK6gqE7xcE6bFd0YB1UGTigA737QQKwJ4FvkuJMcXMIxT5Wl+vo3mirH46+7Pogey9v
 rjkXqHsG8X569+WdfjtDOpAUH4l36ty0ZqVGQJrIAva7hX83x3Xc4T6mjPYSSs1euQtqHJSra
 K39neehi83cg3aWUQEBuqQkuJsY15Znja4ERWXsOl7PTA0EaBQGnOF4CNGYNmsidFPk9FLDKn
 JauVouWu61iQieNRsqEkEA7UfeqRsHE/39JqDqggLfHV6hpuO584AsgH5fAWVucrxWyhi2kp9
 vSvJcb8u6iJGQJ50y/Tnt9iVI9ZeTjuUeOH869R/2Swa2uBA0DBvwgcOgQ/p23qlWFo6kiMoW
 e3WZPj89pEya6g/YIJ0XILx7zZ2YuRUNyxfSmQM+ybjwbCdwGAmWD57GnN714RDtho8d6Sd7y
 Pkt+Dpk3fV7/Ws5it2GOmCJ9Z/dhr1mSJGsFBtV60hGr30qqzxOfnQhvMnS1iKgmmVZ/VVu7I
 1ha8HF3NMH6QoUM4K0MGG8TnZlLJeOQIlFvzJr3+UNKBoMi37uLjzosRrf8zsLydHu2Bf0sOm
 +84+jMMfcB/S/d+g3rHWrKyC7M3XDEmIKuMGVKp1jZoJbMdv/vPbLGmLLlpcR/XitaQJFJoQB
 SYxl4+dUtYtvl3z9aBrP5m59NRvVRCtbhztEHm9+VRc8bJ6e1c=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33194
Cc: eliz@HIDDEN, 33194 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Justin Van Winkle <justin.vanwinkle@HIDDEN> writes:

Hi Justin,

> I mean it is certainly a bug to use 100% of a cpu just because a file
> that is in the same directory to a file you are editing is being
> written to, but it may not be unintentional behavior.

I could reproduce the problem. I have a running Emacs for some days, and
I've enabled `global-auto-revert-mode'. Starting scp copy of a large
file outside Emacs, brought Emacs up to 100% cpu usage.

The variable `file-notify-descriptors' contains

#s(hash-table size 97 test equal rehash-size 1.5 rehash-threshold 0.8125 da=
ta ((1 . 0) #s(file-notify--watch /home/albinus .emacs auto-revert-notify-h=
andler) (1 . 1) #s(file-notify--watch /home/albinus nil auto-revert-notify-=
handler) (1 . 2) #s(file-notify--watch /home/albinus nil auto-revert-notify=
-handler) (1 . 3) #s(file-notify--watch /home/albinus nil auto-revert-notif=
y-handler) (1 . 4) #s(file-notify--watch /home/albinus nil auto-revert-noti=
fy-handler) (1 . 5) #s(file-notify--watch /home/albinus nil auto-revert-not=
ify-handler) (1 . 6) #s(file-notify--watch /home/albinus nil auto-revert-no=
tify-handler) (2 . 0) #s(file-notify--watch /usr/local/src/emacs/src nil au=
to-revert-notify-handler) (1 . 7) #s(file-notify--watch /home/albinus nil a=
uto-revert-notify-handler) (1 . 8) #s(file-notify--watch /home/albinus nil =
auto-revert-notify-handler) (1 . 9) #s(file-notify--watch /home/albinus nil=
 auto-revert-notify-handler) (1 . 10) #s(file-notify--watch /home/albinus n=
il auto-revert-notify-handler) (1 . 11) #s(file-notify--watch /home/albinus=
 nil auto-revert-notify-handler) (1 . 12) #s(file-notify--watch /home/albin=
us nil auto-revert-notify-handler) (3 . 0) #s(file-notify--watch /usr/local=
/src/elpa/packages/debbugs nil auto-revert-notify-handler) (3 . 1) #s(file-=
notify--watch /usr/local/src/elpa/packages/debbugs nil auto-revert-notify-h=
andler) (3 . 2) #s(file-notify--watch /usr/local/src/elpa/packages/debbugs =
nil auto-revert-notify-handler) (3 . 3) #s(file-notify--watch /usr/local/sr=
c/elpa/packages/debbugs nil auto-revert-notify-handler) (3 . 4) #s(file-not=
ify--watch /usr/local/src/elpa/packages/debbugs nil auto-revert-notify-hand=
ler) (3 . 5) #s(file-notify--watch /usr/local/src/elpa/packages/debbugs nil=
 auto-revert-notify-handler) (1 . 13) #s(file-notify--watch /home/albinus n=
il auto-revert-notify-handler) (3 . 6) #s(file-notify--watch /home/albinus/=
src/elpa/packages/debbugs nil auto-revert-notify-handler) (3 . 7) #s(file-n=
otify--watch /usr/local/src/elpa/packages/debbugs nil auto-revert-notify-ha=
ndler) (3 . 8) #s(file-notify--watch /usr/local/src/elpa/packages/debbugs n=
il auto-revert-notify-handler) (3 . 9) #s(file-notify--watch /usr/local/src=
/elpa/packages/debbugs nil auto-revert-notify-handler) (3 . 10) #s(file-not=
ify--watch /usr/local/src/elpa/packages/debbugs nil auto-revert-notify-hand=
ler) (4 . 0) #s(file-notify--watch /usr/local/src/elpa nil auto-revert-noti=
fy-handler) (3 . 11) #s(file-notify--watch /usr/local/src/elpa/packages/deb=
bugs nil auto-revert-notify-handler) (5 . 0) #s(file-notify--watch /usr/loc=
al/src/emacs-25/doc/misc nil auto-revert-notify-handler) (3 . 12) #s(file-n=
otify--watch /home/albinus/src/elpa/packages/debbugs nil auto-revert-notify=
-handler) (6 . 0) #s(file-notify--watch /home/albinus/src/tramp/texi nil au=
to-revert-notify-handler) (6 . 1) #s(file-notify--watch /home/albinus/src/t=
ramp/texi nil auto-revert-notify-handler) (6 . 2) #s(file-notify--watch /ho=
me/albinus/src/tramp/texi nil auto-revert-notify-handler) (4 . 1) #s(file-n=
otify--watch /usr/local/src/elpa nil auto-revert-notify-handler) (7 . 0) #s=
(file-notify--watch /usr/share/info nil auto-revert-notify-handler) (8 . 0)=
 #s(file-notify--watch /home/albinus/src/tramp/lisp nil auto-revert-notify-=
handler) (8 . 1) #s(file-notify--watch /home/albinus/src/tramp/lisp nil aut=
o-revert-notify-handler) (8 . 2) #s(file-notify--watch /home/albinus/src/tr=
amp/lisp nil auto-revert-notify-handler) (9 . 0) #s(file-notify--watch /hom=
e/albinus/src/tramp nil auto-revert-notify-handler) (1 . 14) #s(file-notify=
--watch /home/albinus nil auto-revert-notify-handler) (1 . 15) #s(file-noti=
fy--watch /home/albinus nil auto-revert-notify-handler) (1 . 16) #s(file-no=
tify--watch /home/albinus nil auto-revert-notify-handler) (4 . 2) #s(file-n=
otify--watch /usr/local/src/elpa nil auto-revert-notify-handler) (4 . 3) #s=
(file-notify--watch /usr/local/src/elpa nil auto-revert-notify-handler) (3 =
. 13) #s(file-notify--watch /usr/local/src/elpa/packages/debbugs nil auto-r=
evert-notify-handler) (3 . 14) #s(file-notify--watch /usr/local/src/elpa/pa=
ckages/debbugs nil auto-revert-notify-handler) (3 . 15) #s(file-notify--wat=
ch /usr/local/src/elpa/packages/debbugs nil auto-revert-notify-handler) (3 =
. 16) #s(file-notify--watch /usr/local/src/elpa/packages/debbugs nil auto-r=
evert-notify-handler) (4 . 4) #s(file-notify--watch /usr/local/src/elpa nil=
 auto-revert-notify-handler) (4 . 5) #s(file-notify--watch /usr/local/src/e=
lpa nil auto-revert-notify-handler) (3 . 17) #s(file-notify--watch /home/al=
binus/src/elpa/packages/debbugs nil auto-revert-notify-handler) (3 . 18) #s=
(file-notify--watch /usr/local/src/elpa/packages/debbugs nil auto-revert-no=
tify-handler) (1 . 17) #s(file-notify--watch /home/albinus nil auto-revert-=
notify-handler) (1 . 18) #s(file-notify--watch /home/albinus nil auto-rever=
t-notify-handler) (1 . 19) #s(file-notify--watch /home/albinus nil auto-rev=
ert-notify-handler) (1 . 20) #s(file-notify--watch /home/albinus nil auto-r=
evert-notify-handler) (1 . 21) #s(file-notify--watch /home/albinus nil auto=
-revert-notify-handler) (1 . 22) #s(file-notify--watch /home/albinus nil au=
to-revert-notify-handler) (1 . 23) #s(file-notify--watch /home/albinus nil =
auto-revert-notify-handler) (1 . 24) #s(file-notify--watch /home/albinus ni=
l auto-revert-notify-handler) (1 . 25) #s(file-notify--watch /home/albinus =
nil auto-revert-notify-handler) (1 . 26) #s(file-notify--watch /home/albinu=
s nil auto-revert-notify-handler) (1 . 27) #s(file-notify--watch /home/albi=
nus .newsrc-dribble auto-revert-notify-handler) (1 . 28) #s(file-notify--wa=
tch /home/albinus nil auto-revert-notify-handler) (1 . 29) #s(file-notify--=
watch /home/albinus nil auto-revert-notify-handler) (1 . 30) #s(file-notify=
--watch /home/albinus nil auto-revert-notify-handler) (10 . 0) #s(file-noti=
fy--watch /usr/local/share/emacs/27.0.50/lisp filenotify.el.gz auto-revert-=
notify-handler) (10 . 1) #s(file-notify--watch /usr/local/share/emacs/27.0.=
50/lisp nil auto-revert-notify-handler)))

As we can see, many identical entries #s(file-notify--watch /home/albinus n=
il auto-revert-notify-handler).
Every incoming event for "/home/albinus" triggers the many calls of
`auto-revert-notify-handler', although one entry would be sufficient. I
will check, where all these entries come from.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33194; Package emacs. Full text available.

Message received at 33194 <at> debbugs.gnu.org:


Received: (at 33194) by debbugs.gnu.org; 30 Oct 2018 18:55:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 30 14:55:44 2018
Received: from localhost ([127.0.0.1]:55923 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHZB1-00056M-Nc
	for submit <at> debbugs.gnu.org; Tue, 30 Oct 2018 14:55:44 -0400
Received: from mail-lj1-f171.google.com ([209.85.208.171]:45124)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <justin.vanwinkle@HIDDEN>) id 1gHZAz-000566-DO
 for 33194 <at> debbugs.gnu.org; Tue, 30 Oct 2018 14:55:41 -0400
Received: by mail-lj1-f171.google.com with SMTP id j4-v6so12427001ljc.12
 for <33194 <at> debbugs.gnu.org>; Tue, 30 Oct 2018 11:55:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:from:date:message-id:subject:to:cc;
 bh=pNg7at+ZlpWuFI2lEuMj42LsjjaOrmDQWuG5ovb3fpc=;
 b=GbdNBvQF/MovS3jp3WZDtF4m60U5wGPsgdzuVt/mJnSCWfnRwIoE0Z0a45+B127LFv
 Mx2WX5yrAjCHE2dZd1Ss1y3kGVnWu4uGGXFsve00YcZem1HtHLKmLKonOwW0bcrc9xVu
 N1CSVyhnHPS0z9RHbTJh2xlISSnaGsU7BGljmabvA+3CgJxJ6js5jwT8w3Xr+Zdr0GKA
 u6RlVitfaDhsgOcSnZsgCybzRII2JwGSUvSS35U4cn6QYLQ6RQC5SWabZ8TLJlMfeA2g
 xNziV6rO7gDzQEmZ1ZluAUa29SnJX/C3qK7ZVlG4MjbQgRLg4sVCxPnJx85oRpnNpMTn
 4G0g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:from:date:message-id
 :subject:to:cc;
 bh=pNg7at+ZlpWuFI2lEuMj42LsjjaOrmDQWuG5ovb3fpc=;
 b=LLdmJGt7NQUBvBdrJAWLX5R/ZMAms0t+4Ng7BgofvELQ88putQ45T4yVh0p8SyyjjU
 oYjuf4MoXjh2rRKjVnS3Epi7gp1JMrxFZuHcueOvaPk1KHonpnltJ3IiOAzN4XERhBWq
 D57d2qbHrXT9g5+icBUW7ZONGnksKgv/87e9quxKJUgMz39lSaOLw+ZJn0/nJFaMHfEF
 rXBgiTFQrACbybC6m/ma1rOVS0isJRE1xzyu7NKxWpFI8NZR6zmzNphSuGYikJIN+nip
 agBJSn6n23vzLX5Hw/7uwIw7e07dqlB63B7BJOztpoUKJn+DZoJyK1zcMZF8xbBlJkAE
 NXDA==
X-Gm-Message-State: AGRZ1gJB/6cipX0wyh5w2lOcONEk+0u0d38Xxo3ZPGZyEr++gCrGguTg
 TOiSv0AeF0hrS/dEcw6jIaLw7p8BU4jwX20nNkNObqhW
X-Google-Smtp-Source: AJdET5ejIvz2YYIhN58pOBmfN1FwgekNw6NbbKiaJiPJ2Era8Ree23Te5gyUYDCe0QoeB5Gd6Ibh1kwf0HsU6dG3aIg=
X-Received: by 2002:a2e:824c:: with SMTP id j12-v6mr51614ljh.168.1540925733953; 
 Tue, 30 Oct 2018 11:55:33 -0700 (PDT)
MIME-Version: 1.0
References: <CA+gsFk+q30eYxd1D+2GfUwTX=-kDuH6DvFU3M_+yicOhwnANmw@HIDDEN>
 <878t2gbisr.fsf@HIDDEN>
 <CA+gsFkJgpWNZ=2iOaMtdpbHH8UT3tAiJthv+1Fcy9obNWO58Ww@HIDDEN>
 <83pnvskl8b.fsf@HIDDEN>
 <CA+gsFkJZTmJF5+f7j3296y_-6ry=x=M_2QGXJcULnQRbq0E=YA@HIDDEN>
 <83lg6fjq6f.fsf@HIDDEN>
 <CA+gsFkKV47sy_ZAmZpUZZVVo-s=X7iX2MzqdGFqDRG96Go7xHA@HIDDEN>
From: Justin Van Winkle <justin.vanwinkle@HIDDEN>
Date: Tue, 30 Oct 2018 14:55:22 -0400
Message-ID: <CA+gsFk+aWLCm1X522EU6KScTa8nHky022rxU2=pszai=wF1yqg@HIDDEN>
Subject: Re: bug#33194: 26.1; Auto-revert mode causes emacs to use 100% cpu
 whenever a file is being written to in the home directory
To: eliz@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000ff6425057976baa3"
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 33194
Cc: michael.albinus@HIDDEN, 33194 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000ff6425057976baa3
Content-Type: text/plain; charset="UTF-8"

I mean it is certainly a bug to use 100% of a cpu just because a file that
is in the same directory to a file you are editing is being written to, but
it may not be unintentional behavior.

On Tue, Oct 30, 2018 at 2:54 PM Justin Van Winkle <
justin.vanwinkle@HIDDEN> wrote:

> Ok, in that case I wonder if this is actually a bug.
>
> On Tue, Oct 30, 2018 at 1:33 PM Eli Zaretskii <eliz@HIDDEN> wrote:
>
>> > From: Justin Van Winkle <justin.vanwinkle@HIDDEN>
>> > Date: Tue, 30 Oct 2018 12:18:34 -0400
>> > Cc: michael.albinus@HIDDEN, 33194 <at> debbugs.gnu.org
>> >
>> > To clarify, I was not writing to a file that was open in emacs.  In
>> fact, emacs would use 100% cpu even with no
>> > files opened, so long as global-auto-revert-mode was activated.
>>
>> That was clear.  Like I said: auto-revert mode makes Emacs watch
>> changes to _any_ file in that file's directory.
>>
>

--000000000000ff6425057976baa3
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I mean it is certainly a bug to use 100% of a cpu just bec=
ause a file that is in the same directory to a file you are editing is bein=
g written to, but it may not be unintentional behavior.</div><br><div class=
=3D"gmail_quote"><div dir=3D"ltr">On Tue, Oct 30, 2018 at 2:54 PM Justin Va=
n Winkle &lt;<a href=3D"mailto:justin.vanwinkle@HIDDEN">justin.vanwinkle=
@gmail.com</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=
=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><div dir=
=3D"ltr">Ok, in that case I wonder if this is actually a bug.=C2=A0=C2=A0</=
div><br><div class=3D"gmail_quote"><div dir=3D"ltr">On Tue, Oct 30, 2018 at=
 1:33 PM Eli Zaretskii &lt;<a href=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>=
&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0 0 =
0 .8ex;border-left:1px #ccc solid;padding-left:1ex">&gt; From: Justin Van W=
inkle &lt;<a href=3D"mailto:justin.vanwinkle@HIDDEN" target=3D"_blank">j=
ustin.vanwinkle@HIDDEN</a>&gt;<br>
&gt; Date: Tue, 30 Oct 2018 12:18:34 -0400<br>
&gt; Cc: <a href=3D"mailto:michael.albinus@HIDDEN" target=3D"_blank">michae=
l.albinus@HIDDEN</a>, <a href=3D"mailto:33194 <at> debbugs.gnu.org" target=3D"_b=
lank">33194 <at> debbugs.gnu.org</a><br>
&gt; <br>
&gt; To clarify, I was not writing to a file that was open in emacs.=C2=A0 =
In fact, emacs would use 100% cpu even with no<br>
&gt; files opened, so long as global-auto-revert-mode was activated.<br>
<br>
That was clear.=C2=A0 Like I said: auto-revert mode makes Emacs watch<br>
changes to _any_ file in that file&#39;s directory.<br>
</blockquote></div></blockquote></div>

--000000000000ff6425057976baa3--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33194; Package emacs. Full text available.

Message received at 33194 <at> debbugs.gnu.org:


Received: (at 33194) by debbugs.gnu.org; 30 Oct 2018 18:55:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 30 14:55:09 2018
Received: from localhost ([127.0.0.1]:55920 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHZAT-00055R-CQ
	for submit <at> debbugs.gnu.org; Tue, 30 Oct 2018 14:55:09 -0400
Received: from mail-lf1-f49.google.com ([209.85.167.49]:33860)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <justin.vanwinkle@HIDDEN>) id 1gHZAR-000558-Ju
 for 33194 <at> debbugs.gnu.org; Tue, 30 Oct 2018 14:55:08 -0400
Received: by mail-lf1-f49.google.com with SMTP id n26-v6so9761874lfl.1
 for <33194 <at> debbugs.gnu.org>; Tue, 30 Oct 2018 11:55:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=4H51vTavi3OtxFQoBj8le36MLNoCzkKNObpZU5f/4rs=;
 b=JgNJGxgP38C9EeeVMySDFUIsWMfU/M1n2802KgaQdwsbc0ugRKJpPsD0arMPRukL51
 g44cYKfr79t+9ICbUDz7Nsq/hlqjvKEwjvup/qa/d/nSVSOOk8qfscOeyU7i2FL2E4cE
 KMj19qToIsUJCi0zCzAIVTwDTN1l1ghYXblzw55YJpUCIwLcgWP0EmUsrVOh+moRGlg7
 rTNTdo+yeWo8JxEM7NdDiLjuOlWXzsOcDLg4RLKUdz9KHwYCxRYra7i/39EPwiAx1LUL
 nW6dFcqhlih3ZyCdxWUx5xkq30CsroW8xtFuEFpFfYTZwM7m4wrBNqfFRSQfODbkW1sM
 cM8Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=4H51vTavi3OtxFQoBj8le36MLNoCzkKNObpZU5f/4rs=;
 b=I95m5Uk9mPvHjQ8zGEU9autlgM+/xE1Zv2OwxTPfJvD+wHJV2kYHE1wBZLpxMddozf
 XOAcn2NYTIWSYCzsLlb2rTRiciFPvp6PEkPZo1C60FSROmCEj1PX527RI7r5ee7TRpV7
 KGT2QqiC6q/swcRchSFhtPxGNVpHH3H/xtb5o2Lby3rFX9TvAc71B3Go2Ijpd8mVKoXn
 i/HV0OKXBSEBQ88W+YU1+cAvbQ7BdpM0BBKuB8kLt+9h3YZQ3mfAftSSk5Kn4umFDEmW
 6rfSaRCCOomPAQPdzYfzf57u5LfKywQ5eosS4TwFGFeRZothPNyDH+gprOUpwZtjF9U3
 VQkQ==
X-Gm-Message-State: AGRZ1gLhrjZ5VBilM366llHsVDlXZYxNbiWpGsFYYOIUy39hnwCia4PH
 rq0fBVD2yoxggakU8s8QgaM3dSWC1RWP5xMQt4w=
X-Google-Smtp-Source: AJdET5eWxlaIdQMV4Jwj4yAIYwmpiWYVHpnig1gFU4Pcn3sJc96FMQF+6u4bItBXY62RF31TrXB0V9+jv964HnArlUU=
X-Received: by 2002:a19:5186:: with SMTP id g6mr2596743lfl.143.1540925701414; 
 Tue, 30 Oct 2018 11:55:01 -0700 (PDT)
MIME-Version: 1.0
References: <CA+gsFk+q30eYxd1D+2GfUwTX=-kDuH6DvFU3M_+yicOhwnANmw@HIDDEN>
 <878t2gbisr.fsf@HIDDEN>
 <CA+gsFkJgpWNZ=2iOaMtdpbHH8UT3tAiJthv+1Fcy9obNWO58Ww@HIDDEN>
 <83pnvskl8b.fsf@HIDDEN>
 <CA+gsFkJZTmJF5+f7j3296y_-6ry=x=M_2QGXJcULnQRbq0E=YA@HIDDEN>
 <83lg6fjq6f.fsf@HIDDEN>
In-Reply-To: <83lg6fjq6f.fsf@HIDDEN>
From: Justin Van Winkle <justin.vanwinkle@HIDDEN>
Date: Tue, 30 Oct 2018 14:54:49 -0400
Message-ID: <CA+gsFkKV47sy_ZAmZpUZZVVo-s=X7iX2MzqdGFqDRG96Go7xHA@HIDDEN>
Subject: Re: bug#33194: 26.1; Auto-revert mode causes emacs to use 100% cpu
 whenever a file is being written to in the home directory
To: eliz@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000000ee381057976b9bf"
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 33194
Cc: michael.albinus@HIDDEN, 33194 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000000ee381057976b9bf
Content-Type: text/plain; charset="UTF-8"

Ok, in that case I wonder if this is actually a bug.

On Tue, Oct 30, 2018 at 1:33 PM Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Justin Van Winkle <justin.vanwinkle@HIDDEN>
> > Date: Tue, 30 Oct 2018 12:18:34 -0400
> > Cc: michael.albinus@HIDDEN, 33194 <at> debbugs.gnu.org
> >
> > To clarify, I was not writing to a file that was open in emacs.  In
> fact, emacs would use 100% cpu even with no
> > files opened, so long as global-auto-revert-mode was activated.
>
> That was clear.  Like I said: auto-revert mode makes Emacs watch
> changes to _any_ file in that file's directory.
>

--0000000000000ee381057976b9bf
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Ok, in that case I wonder if this is actually a bug.=C2=A0=
=C2=A0</div><br><div class=3D"gmail_quote"><div dir=3D"ltr">On Tue, Oct 30,=
 2018 at 1:33 PM Eli Zaretskii &lt;<a href=3D"mailto:eliz@HIDDEN">eliz@gnu=
.org</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"mar=
gin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">&gt; From: Just=
in Van Winkle &lt;<a href=3D"mailto:justin.vanwinkle@HIDDEN" target=3D"_=
blank">justin.vanwinkle@HIDDEN</a>&gt;<br>
&gt; Date: Tue, 30 Oct 2018 12:18:34 -0400<br>
&gt; Cc: <a href=3D"mailto:michael.albinus@HIDDEN" target=3D"_blank">michae=
l.albinus@HIDDEN</a>, <a href=3D"mailto:33194 <at> debbugs.gnu.org" target=3D"_b=
lank">33194 <at> debbugs.gnu.org</a><br>
&gt; <br>
&gt; To clarify, I was not writing to a file that was open in emacs.=C2=A0 =
In fact, emacs would use 100% cpu even with no<br>
&gt; files opened, so long as global-auto-revert-mode was activated.<br>
<br>
That was clear.=C2=A0 Like I said: auto-revert mode makes Emacs watch<br>
changes to _any_ file in that file&#39;s directory.<br>
</blockquote></div>

--0000000000000ee381057976b9bf--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33194; Package emacs. Full text available.

Message received at 33194 <at> debbugs.gnu.org:


Received: (at 33194) by debbugs.gnu.org; 30 Oct 2018 17:32:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 30 13:32:54 2018
Received: from localhost ([127.0.0.1]:55876 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHXss-00038p-7J
	for submit <at> debbugs.gnu.org; Tue, 30 Oct 2018 13:32:54 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41928)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gHXsq-00038d-No
 for 33194 <at> debbugs.gnu.org; Tue, 30 Oct 2018 13:32:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gHXsg-00054W-QJ
 for 33194 <at> debbugs.gnu.org; Tue, 30 Oct 2018 13:32:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42670)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gHXsd-00052r-Pp; Tue, 30 Oct 2018 13:32:42 -0400
Received: from [176.228.60.248] (port=1684 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gHXsa-0000BY-0d; Tue, 30 Oct 2018 13:32:37 -0400
Date: Tue, 30 Oct 2018 19:32:40 +0200
Message-Id: <83lg6fjq6f.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Justin Van Winkle <justin.vanwinkle@HIDDEN>
In-reply-to: <CA+gsFkJZTmJF5+f7j3296y_-6ry=x=M_2QGXJcULnQRbq0E=YA@HIDDEN>
 (message from Justin Van Winkle on Tue, 30 Oct 2018 12:18:34 -0400)
Subject: Re: bug#33194: 26.1; Auto-revert mode causes emacs to use 100% cpu
 whenever a file is being written to in the home directory
References: <CA+gsFk+q30eYxd1D+2GfUwTX=-kDuH6DvFU3M_+yicOhwnANmw@HIDDEN>
 <878t2gbisr.fsf@HIDDEN>
 <CA+gsFkJgpWNZ=2iOaMtdpbHH8UT3tAiJthv+1Fcy9obNWO58Ww@HIDDEN>
 <83pnvskl8b.fsf@HIDDEN>
 <CA+gsFkJZTmJF5+f7j3296y_-6ry=x=M_2QGXJcULnQRbq0E=YA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33194
Cc: michael.albinus@HIDDEN, 33194 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Justin Van Winkle <justin.vanwinkle@HIDDEN>
> Date: Tue, 30 Oct 2018 12:18:34 -0400
> Cc: michael.albinus@HIDDEN, 33194 <at> debbugs.gnu.org
> 
> To clarify, I was not writing to a file that was open in emacs.  In fact, emacs would use 100% cpu even with no
> files opened, so long as global-auto-revert-mode was activated.

That was clear.  Like I said: auto-revert mode makes Emacs watch
changes to _any_ file in that file's directory.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33194; Package emacs. Full text available.

Message received at 33194 <at> debbugs.gnu.org:


Received: (at 33194) by debbugs.gnu.org; 30 Oct 2018 17:09:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 30 13:09:56 2018
Received: from localhost ([127.0.0.1]:55827 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHXWe-0002XQ-1w
	for submit <at> debbugs.gnu.org; Tue, 30 Oct 2018 13:09:56 -0400
Received: from mail-lf1-f46.google.com ([209.85.167.46]:34075)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <justin.vanwinkle@HIDDEN>) id 1gHXWc-0002XD-7C
 for 33194 <at> debbugs.gnu.org; Tue, 30 Oct 2018 13:09:54 -0400
Received: by mail-lf1-f46.google.com with SMTP id n26-v6so9497187lfl.1
 for <33194 <at> debbugs.gnu.org>; Tue, 30 Oct 2018 10:09:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=wGHqddPLexLJeUe+bWw/VX1oiuIXb6ym79/h6vS8Jf0=;
 b=AIfuxp87D77KgIJaw4xH66eQob3M8b/t2xEz2XXeyWhXovlKtQ3yVdym9A9HPNf3ai
 c0slPwKKNELc8ql+/45H9nIUotAdbJdJFA6TTSyxj7DK9aeYksfpgHOlc3ZSJihDD8ip
 b4i/rrZsAzGr2gEylJHOuaSxjKWAb0HW8RgdG8iEqebulil7naoCaSR09NP1/IMKsoD4
 qNlcFHNFwsVBkxvbiJsq1MxVk9zojNX2QuP+WC5AojvLbqCv9qA9vn1XBFF0XbvwOPmD
 LtJJfC1qpgGN5tFJD9y1bbLISmqqEBMMfiiUvx4NZ/rLt0oiASPN7RTdg6PWKKk68+P8
 CuuQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=wGHqddPLexLJeUe+bWw/VX1oiuIXb6ym79/h6vS8Jf0=;
 b=h9qmitwskvClR/2kt48/ts3Nuh+es5m/cePAQkzWkA/K1LsVx68YwB8tyCoTwCGOTQ
 GjFX7/V7LzpeeSOG441XZpuCYJycCXowh7FtjtxL49/daRFKC+EpxiCl4AS3m19/AxXr
 WRdF0/GiAxObwjFZb6B7nOJXDCwIFJrkHQAeGckZ5XuLK6hjULNbJvYbrnC4Cm0Xv6/f
 2w0vCMa0KOoKjXQb1RPXclQuS4tAExqx+hBDnUfwRJgw2l14c5K94/fESUTIrf5cfa7f
 /rcIzf1sYH8Rte9myXX/S2dpgHODXNYQO+JqQ/7k5vRJOAfPAFbb7zCfbIHYpAa1TKZl
 YwBQ==
X-Gm-Message-State: AGRZ1gKJbZcz6kVBzGL1++NAWfzY+zAEh2GGJnEGvN/44PoYWpjJdOL3
 lNBLWaBvtmrXS3MpO/yTK4QECHb4qlfFanD0w4w=
X-Google-Smtp-Source: AJdET5fYH8JUc5H1bLuRWRZN/Qd2pRaA70hWPqNOyJ6N4GxmJnOl84fQf6dGxfvSI+SwpHQQDmHTdiV3wTl2UFLNVhw=
X-Received: by 2002:a19:d908:: with SMTP id q8mr2410808lfg.88.1540919388257;
 Tue, 30 Oct 2018 10:09:48 -0700 (PDT)
MIME-Version: 1.0
References: <CA+gsFk+q30eYxd1D+2GfUwTX=-kDuH6DvFU3M_+yicOhwnANmw@HIDDEN>
 <878t2gbisr.fsf@HIDDEN>
 <CA+gsFkJgpWNZ=2iOaMtdpbHH8UT3tAiJthv+1Fcy9obNWO58Ww@HIDDEN>
 <83pnvskl8b.fsf@HIDDEN>
 <CA+gsFkJZTmJF5+f7j3296y_-6ry=x=M_2QGXJcULnQRbq0E=YA@HIDDEN>
 <87zhuvbcd1.fsf@HIDDEN>
 <CA+gsFkJk8BL99VH64r-aZeCQAkoUvp1ea4hy_jM8t03BCsOBAw@HIDDEN>
 <87va5jbbwb.fsf@HIDDEN>
In-Reply-To: <87va5jbbwb.fsf@HIDDEN>
From: Justin Van Winkle <justin.vanwinkle@HIDDEN>
Date: Tue, 30 Oct 2018 13:09:37 -0400
Message-ID: <CA+gsFkK1p4JT9P3PDEb_M-_VCgY3NL_Dv6K3VZ_unxp1n8Lw1g@HIDDEN>
Subject: Re: bug#33194: 26.1; Auto-revert mode causes emacs to use 100% cpu
 whenever a file is being written to in the home directory
To: michael.albinus@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000c3c71905797540da"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33194
Cc: eliz@HIDDEN, 33194 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000c3c71905797540da
Content-Type: text/plain; charset="UTF-8"

I don't understand the request?

On Tue, Oct 30, 2018 at 1:08 PM Michael Albinus <michael.albinus@HIDDEN>
wrote:

> Justin Van Winkle <justin.vanwinkle@HIDDEN> writes:
>
> Hi Justin,
>
> > I suspect it had subscribed to changes to the $HOME directory for some
> > reason.
>
> Could you pls revert this? I would like to know whether Emacs is still
> busy then with global-auto-revert-mode.
>
> Best regards, Michael.
>

--000000000000c3c71905797540da
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I don&#39;t understand the request?</div><br><div class=3D=
"gmail_quote"><div dir=3D"ltr">On Tue, Oct 30, 2018 at 1:08 PM Michael Albi=
nus &lt;<a href=3D"mailto:michael.albinus@HIDDEN">michael.albinus@HIDDEN</a=
>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0 0=
 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">Justin Van Winkle &lt;=
<a href=3D"mailto:justin.vanwinkle@HIDDEN" target=3D"_blank">justin.vanw=
inkle@HIDDEN</a>&gt; writes:<br>
<br>
Hi Justin,<br>
<br>
&gt; I suspect it had subscribed to changes to the $HOME directory for some=
<br>
&gt; reason.<br>
<br>
Could you pls revert this? I would like to know whether Emacs is still<br>
busy then with global-auto-revert-mode.<br>
<br>
Best regards, Michael.<br>
</blockquote></div>

--000000000000c3c71905797540da--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33194; Package emacs. Full text available.

Message received at 33194 <at> debbugs.gnu.org:


Received: (at 33194) by debbugs.gnu.org; 30 Oct 2018 17:08:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 30 13:08:30 2018
Received: from localhost ([127.0.0.1]:55823 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHXVG-0002VP-NN
	for submit <at> debbugs.gnu.org; Tue, 30 Oct 2018 13:08:30 -0400
Received: from mout.gmx.net ([212.227.15.15]:34515)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gHXVE-0002VB-Od
 for 33194 <at> debbugs.gnu.org; Tue, 30 Oct 2018 13:08:29 -0400
Received: from detlef.gmx.de ([213.220.159.224]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MQiVh-1g824h07or-00U4Ql; Tue, 30
 Oct 2018 18:08:22 +0100
Received: from detlef.gmx.de ([213.220.159.224]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MQiVh-1g824h07or-00U4Ql; Tue, 30
 Oct 2018 18:08:22 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Justin Van Winkle <justin.vanwinkle@HIDDEN>
Subject: Re: bug#33194: 26.1;
 Auto-revert mode causes emacs to use 100% cpu whenever a file is
 being written to in the home directory
References: <CA+gsFk+q30eYxd1D+2GfUwTX=-kDuH6DvFU3M_+yicOhwnANmw@HIDDEN>
 <878t2gbisr.fsf@HIDDEN>
 <CA+gsFkJgpWNZ=2iOaMtdpbHH8UT3tAiJthv+1Fcy9obNWO58Ww@HIDDEN>
 <83pnvskl8b.fsf@HIDDEN>
 <CA+gsFkJZTmJF5+f7j3296y_-6ry=x=M_2QGXJcULnQRbq0E=YA@HIDDEN>
 <87zhuvbcd1.fsf@HIDDEN>
 <CA+gsFkJk8BL99VH64r-aZeCQAkoUvp1ea4hy_jM8t03BCsOBAw@HIDDEN>
Date: Tue, 30 Oct 2018 18:08:20 +0100
In-Reply-To: <CA+gsFkJk8BL99VH64r-aZeCQAkoUvp1ea4hy_jM8t03BCsOBAw@HIDDEN>
 (Justin Van Winkle's message of "Tue, 30 Oct 2018 13:02:47 -0400")
Message-ID: <87va5jbbwb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:8m95cu2fOX4CvcvW4ZUp3Ybe+SawZ1HIHCuQKlzsc8v9R1BmR8d
 2l4U1t0eXn/kvyqoTGzj5L9RYDOWQh+wC0BZBNgdwSdO3J4aXn8Z5zidlJPEAAlZvj1LA0v
 NO7itRg+0PW+Su143lgWoZN+Bzm5tqDbcBNgRFDMyBDTMC6S+edOhoDZeRDqvlOJgzaXlqF
 8Vtrq53rb3xl4g7qkVsRg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:yGyIcVn27+I=:Olo/Z5L9sEfTDksXZUFhyO
 sCNq86IzwoyfJ73oyExQw9PDgslquw7ShFnVP9cDxfTq19lU4h2ipfWaUpY5speOMvB1P7H1W
 IYOd1iueuRbySxaR98Q+V6Qd+JnPQupiBooElImPoA8Y2maUKLq9HLB4G02jCzTSgtj2VBx4r
 wk5lTWJ/i+de3lLzw3Yrge/IXAv5/4iO2EXO1r+n7Ayc+N0zgo5Y9/RfxMrmtxhJCKRLNx6C7
 tHk/tysZWzKTGaXNtrh/EZX4w0fXkyYEZCcmfqPC9EbERQHRHRhBpa/zv/QxdzUWBHNDK8sde
 f+Y09/iHMusW8L0a1AuO/Y2bN0FAXJX30GmftVvByvM5jawc97y8pEr9Hkk1tTikYX0+aa53r
 DrKF19BqZZwo7IqDj6Nzhh4fcMeFxm3lB0e3ZPzvpwZ4vznyd7C+ZurhjcCYHq5C0/fJKF8mW
 84S2Y1YghBFrpvVVtoRivYdaCyCgEN6PgrztWmSTMTF9UVKhIEUt0UO6vNywFL/yWSiTT8y0U
 ct4yqVpNTxgo9DGPhsOqNqsGxWqeW/v4IiRYadYjf2a/NgJDSuKYSyt+mkt4/6saXydlQ10sQ
 GEs7lFHWlyzXKem3MX4XNM2eEormXbXKUPzSV3+jshI/hQZBefLDs6t8ktxBTbPgpuoZKi35X
 I9y71LZNEvZkAX4c5JA4noezxNFVeTiFURkXfqvIvjb8oG8pHUTw3pBfzXdqoS4y558QBpXCx
 RTsiZ6F99pOtFE9nOqKql8zn75sGErrWPBTu6ukCPsXBXj5TOLBet+O85PXr+MPB46dKRMU6L
 UUAYXCmEyjneUROY44nhIUpSPD+ava3JFE1R7WyjNlg8+Seq5Q=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33194
Cc: eliz@HIDDEN, 33194 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Justin Van Winkle <justin.vanwinkle@HIDDEN> writes:

Hi Justin,

> I suspect it had subscribed to changes to the $HOME directory for some
> reason.

Could you pls revert this? I would like to know whether Emacs is still
busy then with global-auto-revert-mode.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33194; Package emacs. Full text available.

Message received at 33194 <at> debbugs.gnu.org:


Received: (at 33194) by debbugs.gnu.org; 30 Oct 2018 17:03:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 30 13:03:07 2018
Received: from localhost ([127.0.0.1]:55819 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHXQ2-0002O3-VQ
	for submit <at> debbugs.gnu.org; Tue, 30 Oct 2018 13:03:07 -0400
Received: from mail-lj1-f170.google.com ([209.85.208.170]:33035)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <justin.vanwinkle@HIDDEN>) id 1gHXQ1-0002NZ-6S
 for 33194 <at> debbugs.gnu.org; Tue, 30 Oct 2018 13:03:05 -0400
Received: by mail-lj1-f170.google.com with SMTP id z21-v6so12112456ljz.0
 for <33194 <at> debbugs.gnu.org>; Tue, 30 Oct 2018 10:03:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=As6qWRUARDRltUDabGNnEM8Y6WXD6sm5QFfbRtJztsg=;
 b=p1FME3jLvhbUurTmsTUT8Zl6WSotEpsgXEIqDF4bXnZK9+jWP0HmQJizqu8n7hzOhE
 TMiQiTSrcY82lV/BVvqsvHMGYvYCu9OAxKHyDeNS5yUw1RXaW7afjcSMnWnNdY92Wlub
 bPIiww1vp90BDtvDTsFKE2SMFDXv/MnUFkbOKC5Kyw267Pn04rAbAgMhH1cRfZVIrf1L
 Awu4z+Z9fM8sQQPntbC15np/6B8Q7hUDwBRtJzeEVC85siubvM/J3p+U0pDJedcElBhW
 vXVgZWzDMZNcvkO9U1inYkFAfW8/XGa3xC2+svbpVIfWVKZL79vJKAI5jBN9fk+764/H
 Ar/g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=As6qWRUARDRltUDabGNnEM8Y6WXD6sm5QFfbRtJztsg=;
 b=i+V5n6fh1IhMDVTdgHraOo3lhn+62IWrsakTGX3VAi3m3q2mwf5aYr5E0z4EBVnCnh
 PCVyHEXsfbBjv8JLdgqmHzzMQOQGq98V8fdKIpyQxOqLjjoXHourD31hB6oDodf6fqT4
 HTYVEvoQm1BJs7xTHScwD9yChazGEaWmWzzknD8Wshm7tpspXBOmeKJcd8teabI3v1gO
 OItzKILpd1tL3DxshbY/jg0X08/g4/3AdJh4wAthtBs2HbdrpCPxiqWaku0jTBh8kXJc
 W1s/8A3lne1iavwj1L5W96BLWTpzCoF8/OYIJZA9MLNGs6wxqDy5W6nerOuYXAsZWXxE
 oaug==
X-Gm-Message-State: AGRZ1gK2jGCoX7cXmXwNouT43EYyzA1mwL+wXKHy/JS45WL+cvgmE2o8
 REa50pP3ucHr4WkgY9xlQuMVZU8R6xOUfBbxKUQ=
X-Google-Smtp-Source: AJdET5cmr3ZMAFWXdOLhz34sPuBCX3k3aDHhXkYJ8/h/+ZgBFK8K2p3qCfMY93Bu/i3pELhcqUVfVOIAoYFlwHCl90w=
X-Received: by 2002:a2e:9a14:: with SMTP id
 o20-v6mr12841922lji.17.1540918978991; 
 Tue, 30 Oct 2018 10:02:58 -0700 (PDT)
MIME-Version: 1.0
References: <CA+gsFk+q30eYxd1D+2GfUwTX=-kDuH6DvFU3M_+yicOhwnANmw@HIDDEN>
 <878t2gbisr.fsf@HIDDEN>
 <CA+gsFkJgpWNZ=2iOaMtdpbHH8UT3tAiJthv+1Fcy9obNWO58Ww@HIDDEN>
 <83pnvskl8b.fsf@HIDDEN>
 <CA+gsFkJZTmJF5+f7j3296y_-6ry=x=M_2QGXJcULnQRbq0E=YA@HIDDEN>
 <87zhuvbcd1.fsf@HIDDEN>
In-Reply-To: <87zhuvbcd1.fsf@HIDDEN>
From: Justin Van Winkle <justin.vanwinkle@HIDDEN>
Date: Tue, 30 Oct 2018 13:02:47 -0400
Message-ID: <CA+gsFkJk8BL99VH64r-aZeCQAkoUvp1ea4hy_jM8t03BCsOBAw@HIDDEN>
Subject: Re: bug#33194: 26.1; Auto-revert mode causes emacs to use 100% cpu
 whenever a file is being written to in the home directory
To: michael.albinus@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000005ee3a40579752881"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33194
Cc: eliz@HIDDEN, 33194 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000005ee3a40579752881
Content-Type: text/plain; charset="UTF-8"

I suspect it had subscribed to changes to the $HOME directory for some
reason.


On Tue, Oct 30, 2018 at 12:58 PM Michael Albinus <michael.albinus@HIDDEN>
wrote:

> Justin Van Winkle <justin.vanwinkle@HIDDEN> writes:
>
> Hi Justin,
>
> > To clarify, I was not writing to a file that was open in emacs.  In
> > fact, emacs would use 100% cpu even with no files opened, so long as
> > global-auto-revert-mode was activated.
>
> File notifications work on directory level.
>
> Hmm, my suspicion that Emacs was reverting buffers seems to be
> wrong. First, I will try to reproduce your problem, before proposing
> changes.
>
> Best regards, Michael.
>

--0000000000005ee3a40579752881
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I suspect it had subscribed to changes to the $HOME direct=
ory for some reason.<div><br></div></div><br><div class=3D"gmail_quote"><di=
v dir=3D"ltr">On Tue, Oct 30, 2018 at 12:58 PM Michael Albinus &lt;<a href=
=3D"mailto:michael.albinus@HIDDEN">michael.albinus@HIDDEN</a>&gt; wrote:<br=
></div><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-=
left:1px #ccc solid;padding-left:1ex">Justin Van Winkle &lt;<a href=3D"mail=
to:justin.vanwinkle@HIDDEN" target=3D"_blank">justin.vanwinkle@HIDDEN=
</a>&gt; writes:<br>
<br>
Hi Justin,<br>
<br>
&gt; To clarify, I was not writing to a file that was open in emacs.=C2=A0 =
In<br>
&gt; fact, emacs would use 100% cpu even with no files opened, so long as<b=
r>
&gt; global-auto-revert-mode was activated.<br>
<br>
File notifications work on directory level.<br>
<br>
Hmm, my suspicion that Emacs was reverting buffers seems to be<br>
wrong. First, I will try to reproduce your problem, before proposing change=
s.<br>
<br>
Best regards, Michael.<br>
</blockquote></div>

--0000000000005ee3a40579752881--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33194; Package emacs. Full text available.

Message received at 33194 <at> debbugs.gnu.org:


Received: (at 33194) by debbugs.gnu.org; 30 Oct 2018 16:58:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 30 12:58:30 2018
Received: from localhost ([127.0.0.1]:55814 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHXLX-0002Fo-WA
	for submit <at> debbugs.gnu.org; Tue, 30 Oct 2018 12:58:30 -0400
Received: from mout.gmx.net ([212.227.17.21]:44533)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gHXLW-0002FX-DJ
 for 33194 <at> debbugs.gnu.org; Tue, 30 Oct 2018 12:58:26 -0400
Received: from detlef.gmx.de ([213.220.159.224]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MFu0Y-1gNdTp1ECU-00Et4n; Tue, 30
 Oct 2018 17:58:19 +0100
Received: from detlef.gmx.de ([213.220.159.224]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MFu0Y-1gNdTp1ECU-00Et4n; Tue, 30
 Oct 2018 17:58:19 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Justin Van Winkle <justin.vanwinkle@HIDDEN>
Subject: Re: bug#33194: 26.1;
 Auto-revert mode causes emacs to use 100% cpu whenever a file is
 being written to in the home directory
References: <CA+gsFk+q30eYxd1D+2GfUwTX=-kDuH6DvFU3M_+yicOhwnANmw@HIDDEN>
 <878t2gbisr.fsf@HIDDEN>
 <CA+gsFkJgpWNZ=2iOaMtdpbHH8UT3tAiJthv+1Fcy9obNWO58Ww@HIDDEN>
 <83pnvskl8b.fsf@HIDDEN>
 <CA+gsFkJZTmJF5+f7j3296y_-6ry=x=M_2QGXJcULnQRbq0E=YA@HIDDEN>
Date: Tue, 30 Oct 2018 17:58:18 +0100
In-Reply-To: <CA+gsFkJZTmJF5+f7j3296y_-6ry=x=M_2QGXJcULnQRbq0E=YA@HIDDEN>
 (Justin Van Winkle's message of "Tue, 30 Oct 2018 12:18:34 -0400")
Message-ID: <87zhuvbcd1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:v3YomyyfePf5p3Z3RBXBoOtk8tJOpead6Z3Knvf/VFepFCvbLYS
 e5ihNZ3Sm/NaOC91HuNLU5p82gspRRS58LbHopPmeDdE+Jkd26ZdoILeePp2FxopPrXp5bF
 ssZT/gi/8M8Uj+WjuWZrU4OYyo629ZIaRA1hzuJEVM2eVrW4gZ5kdyV3tU2ktpAZxGSG2JS
 M/L/NY0aEL+YAsyauG0Qw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:iiWdrsk+6Rs=:YTw2Hfb8oTIO2jIprAf8qf
 Pj3UmB19j6BUkxEXErOqSrphNODWzxw4+vLB9NIYi6+skNUBjLiSCYGFzi+u0NI+AWAQqtlHz
 sgkTWXt5NQGFfSKopzedxv1ly+NgzP3WT3zukfHEN3O2uieg0rXvtKzDq8vxURTOw1xcjHlHe
 PWdlYRCj+beQD0n5nwLsXdqViLjAYkRxPtVZ/k4ZjIVkM9E6nQNyS6P1m7N+MeBVNNqBYXa/U
 x8qGNGf/2UTSTS7/zrYqg95tFS+sL6CybdJ4Z61AeBV2meZB19fFFgXPoK4nnfjhi2KA7BvLi
 bbpQOL4wThc8X9lJmbNPDMGtwp8qgPXUYUgHrqyKp4H5+YJJaHcsqfwPBjJ5ELB9cdqP1PhjC
 Tp2ScTd3VXNabE79tvudYjfZDNxKFUaX5yYZizJCxnhtk5E9Fx1l0ht20CQHxTboO5+yhY848
 nWTQItOJXx7SAvKchUrYXIp0UqDEG+Qymo2FR9JP/gKPvaIXXAFfqYpUCJe/15RFlUq6JQhJP
 X/es7HjWjNrNOPclAH7W+QqPiHCgxHBrKsiz9hmsXLvvpSk1mUhdbv0jz/Xm9G+9VDU+/+Op2
 M+CxBkBUBzp8jI+acp26dWWKPJ4LSN1lbaBSsCW0bF++0oUq0jreK+2EkZQU/xncFStpnQ+Pn
 YtV9DgMK2VPwt2h6+5KC8NWKJwNlglKJkovt0PZcrsQ/vrsqCs4A6AsWs4zCETa4gbp8e70Pp
 UZ9lx/CeT3yvxQ9yQUjdXYwAZFbH5/C2y0AL0x7+7WO6cimAAQy+D3hPlqGTqUp121HZ22bAe
 Ru6Xn1NUSayf7uentmuOyk3Yn+6mT6gwQlClukceW/crvxOHN8=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33194
Cc: eliz@HIDDEN, 33194 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Justin Van Winkle <justin.vanwinkle@HIDDEN> writes:

Hi Justin,

> To clarify, I was not writing to a file that was open in emacs.  In
> fact, emacs would use 100% cpu even with no files opened, so long as
> global-auto-revert-mode was activated.

File notifications work on directory level.

Hmm, my suspicion that Emacs was reverting buffers seems to be
wrong. First, I will try to reproduce your problem, before proposing changes.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33194; Package emacs. Full text available.

Message received at 33194 <at> debbugs.gnu.org:


Received: (at 33194) by debbugs.gnu.org; 30 Oct 2018 16:18:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 30 12:18:56 2018
Received: from localhost ([127.0.0.1]:55781 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHWjH-0001L3-Kr
	for submit <at> debbugs.gnu.org; Tue, 30 Oct 2018 12:18:55 -0400
Received: from mail-lj1-f169.google.com ([209.85.208.169]:43672)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <justin.vanwinkle@HIDDEN>) id 1gHWjF-0001Kq-Ve
 for 33194 <at> debbugs.gnu.org; Tue, 30 Oct 2018 12:18:54 -0400
Received: by mail-lj1-f169.google.com with SMTP id g26-v6so10679563lja.10
 for <33194 <at> debbugs.gnu.org>; Tue, 30 Oct 2018 09:18:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=MvS8sG9Ao+Eq50wsaVHkqkGayUhbNU7KGYwsm1QDGU8=;
 b=CPabKTuw2jgG4LrFhzB3u5NFMcdvSdwiq0gVgSdn3s9NQe7Bo5ckyUrR1PrM/aSnSJ
 R7MAHAv+ZtuYZD5zfRcGR1J4YtIQrvhW0/0GKm6gAg82CMlaI05j2DAj8zEI6DvTZuCN
 Vf5hThIXWhxqz3ZR6GVdME8lUy8z0/A2DSpbzz2P/uQ3JwZgsphHYkp3TXdKTsEbAYJO
 m7PYk3kngPCVRb4Z5tljIaSFWTjGHjieJXNEClar7FMd0nIcDOfRcLP/LPDexWJAjcJF
 kYCSTrZG2cisNGsJs40kfrPzVqRgOfXNv443oOlAvYq2Z/0UbxaBKMAG6mHhOIIqGEPK
 K+qQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=MvS8sG9Ao+Eq50wsaVHkqkGayUhbNU7KGYwsm1QDGU8=;
 b=HlJs9B1YbRlxal3RoeZEnsxG1OSJGT5xS9VaH31MXE895DohT1B6B2ZCzCbnSSztqt
 GaW4YovB6UPbmD/N3tZVjy1NBY7W8t8NFoUUDKlmmPKROBkDjTIqha95beH5RTCY5CsN
 r2fYPQtkudxRJcI+hjoArOoC2pFm2hhD2zuSebcwRDxYj/5mzZA8IOPvEVx30jhMkSJ3
 q7p7pEpnaiMnnTK8hT0cXrmAD7a4NV3Rcj3zAce+xGOMqe2vFapmQ4i6R5g7GQz6gA2k
 yZ4TpSc04uZE+w43FkzI4z0gZ6ZfxTPE8R3Pdb7vJQT0D9mLj+IZod6DAVT3h/pb1lEZ
 90/g==
X-Gm-Message-State: AGRZ1gL93f8e8r+gLHD1xFugs4T1QA+IOSngxjTxqqe1U2PiZ53AWfF3
 OHL3qznw8B8CkuRIDk3YheYb1d28VUwECZEeJqs=
X-Google-Smtp-Source: AJdET5cXXjtQb9wTsyPQeiwMhIC2uv2fmSGxdrQ0ZifAikxk7/RBGTk+Y0CCIgQq3BRcIDD+xuqMkwVsOtZNGA3sOYI=
X-Received: by 2002:a2e:2019:: with SMTP id
 g25-v6mr4808462ljg.20.1540916326499; 
 Tue, 30 Oct 2018 09:18:46 -0700 (PDT)
MIME-Version: 1.0
References: <CA+gsFk+q30eYxd1D+2GfUwTX=-kDuH6DvFU3M_+yicOhwnANmw@HIDDEN>
 <878t2gbisr.fsf@HIDDEN>
 <CA+gsFkJgpWNZ=2iOaMtdpbHH8UT3tAiJthv+1Fcy9obNWO58Ww@HIDDEN>
 <83pnvskl8b.fsf@HIDDEN>
In-Reply-To: <83pnvskl8b.fsf@HIDDEN>
From: Justin Van Winkle <justin.vanwinkle@HIDDEN>
Date: Tue, 30 Oct 2018 12:18:34 -0400
Message-ID: <CA+gsFkJZTmJF5+f7j3296y_-6ry=x=M_2QGXJcULnQRbq0E=YA@HIDDEN>
Subject: Re: bug#33194: 26.1; Auto-revert mode causes emacs to use 100% cpu
 whenever a file is being written to in the home directory
To: eliz@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000450c890579748a7d"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33194
Cc: michael.albinus@HIDDEN, 33194 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000450c890579748a7d
Content-Type: text/plain; charset="UTF-8"

To clarify, I was not writing to a file that was open in emacs.  In fact,
emacs would use 100% cpu even with no files opened, so long as
global-auto-revert-mode was activated.

On Tue, Oct 30, 2018 at 2:22 AM Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Justin Van Winkle <justin.vanwinkle@HIDDEN>
> > Date: Mon, 29 Oct 2018 17:13:22 -0400
> > Cc: 33194 <at> debbugs.gnu.org
> >
> > It was outside of emacs.  SCP would trigger the cpu usage in emacs,
> rsync would not (oddly).  Both "cat
> > /dev/zero > somefile"  and "dd if=/dev/zero of=somefile" would trigger
> it if somefile was in my $HOME
> > directory, but none of these would trigger it if I did it in, for
> example, $HOME/Downloads/
>
> Isn't this expected?  Auto-revert watches the directory of the file,
> so if a lot of changes happen in that directory, Emacs will get a lot
> of file-change notifications, and will need to process them.
>
> If you don't like this, customize auto-revert-use-notify to not use
> notifications.  Or maybe there's some system-wide customization of
> inotify that determine the max frequency of inotify notifications when
> the changes are to the same file.  (I don't know enough about inotify
> to say anything more specific, sorry.)
>

--000000000000450c890579748a7d
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">To clarify, I was not writing to a file that was open in e=
macs.=C2=A0 In fact, emacs would use 100% cpu even with no files opened, so=
 long as global-auto-revert-mode was activated.</div><br><div class=3D"gmai=
l_quote"><div dir=3D"ltr">On Tue, Oct 30, 2018 at 2:22 AM Eli Zaretskii &lt=
;<a href=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; wrote:<br></div><bloc=
kquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #cc=
c solid;padding-left:1ex">&gt; From: Justin Van Winkle &lt;<a href=3D"mailt=
o:justin.vanwinkle@HIDDEN" target=3D"_blank">justin.vanwinkle@HIDDEN<=
/a>&gt;<br>
&gt; Date: Mon, 29 Oct 2018 17:13:22 -0400<br>
&gt; Cc: <a href=3D"mailto:33194 <at> debbugs.gnu.org" target=3D"_blank">33194@d=
ebbugs.gnu.org</a><br>
&gt; <br>
&gt; It was outside of emacs.=C2=A0 SCP would trigger the cpu usage in emac=
s, rsync would not (oddly).=C2=A0 Both &quot;cat<br>
&gt; /dev/zero &gt; somefile&quot;=C2=A0 and &quot;dd if=3D/dev/zero of=3Ds=
omefile&quot; would trigger it if somefile was in my $HOME<br>
&gt; directory, but none of these would trigger it if I did it in, for exam=
ple, $HOME/Downloads/<br>
<br>
Isn&#39;t this expected?=C2=A0 Auto-revert watches the directory of the fil=
e,<br>
so if a lot of changes happen in that directory, Emacs will get a lot<br>
of file-change notifications, and will need to process them.<br>
<br>
If you don&#39;t like this, customize auto-revert-use-notify to not use<br>
notifications.=C2=A0 Or maybe there&#39;s some system-wide customization of=
<br>
inotify that determine the max frequency of inotify notifications when<br>
the changes are to the same file.=C2=A0 (I don&#39;t know enough about inot=
ify<br>
to say anything more specific, sorry.)<br>
</blockquote></div>

--000000000000450c890579748a7d--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33194; Package emacs. Full text available.

Message received at 33194 <at> debbugs.gnu.org:


Received: (at 33194) by debbugs.gnu.org; 30 Oct 2018 13:12:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 30 09:12:45 2018
Received: from localhost ([127.0.0.1]:53519 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHTp7-0004j3-K8
	for submit <at> debbugs.gnu.org; Tue, 30 Oct 2018 09:12:45 -0400
Received: from mout.gmx.net ([212.227.15.15]:41987)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gHTp5-0004in-68
 for 33194 <at> debbugs.gnu.org; Tue, 30 Oct 2018 09:12:43 -0400
Received: from detlef.gmx.de ([213.220.159.224]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MV6EP-1g3Ove3Fkr-00YRgp; Tue, 30
 Oct 2018 14:12:35 +0100
Received: from detlef.gmx.de ([213.220.159.224]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MV6EP-1g3Ove3Fkr-00YRgp; Tue, 30
 Oct 2018 14:12:35 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33194: 26.1;
 Auto-revert mode causes emacs to use 100% cpu whenever a file is
 being written to in the home directory
References: <CA+gsFk+q30eYxd1D+2GfUwTX=-kDuH6DvFU3M_+yicOhwnANmw@HIDDEN>
 <878t2gbisr.fsf@HIDDEN>
 <CA+gsFkJgpWNZ=2iOaMtdpbHH8UT3tAiJthv+1Fcy9obNWO58Ww@HIDDEN>
 <83pnvskl8b.fsf@HIDDEN> <874ld3bzft.fsf@HIDDEN>
 <834ld3lnsz.fsf@HIDDEN> <87zhuvaf3w.fsf@HIDDEN>
 <83zhuvk497.fsf@HIDDEN>
Date: Tue, 30 Oct 2018 14:12:34 +0100
In-Reply-To: <83zhuvk497.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 30 Oct
 2018 14:28:36 +0200")
Message-ID: <87r2g7a88t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:f0teJgnwrj4H9/al/cROdJDV2Z2O0cS+1AeFvAscySHcJAshwxv
 cfaMAa9H8LSsDadyy6FZuvYALOMU5+WTjolnO6YPK39WU40t3IepIMfX9k3fDV2vrZrRTx3
 fmYJAJVQvHaI4tjU4PG2B3WPdwKbr9H9YWAPhWpslTJ7TzJMmfomI8Q0fu6r0QZ/YDfataa
 12JUF6siwBbxUB5zH3hGQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:ZMlci8e2J6M=:lEFstenFIUSBibUdgep9st
 8dXaP3xRqwbFs+Ook7K4YWSTeaq4OZ4g19g3/QU5Wxw04zU//zmXYzm7u7vNWvZ7Ebsma/KwM
 3emiqwEdajoeI7CQ2FfLFFX5M2KaGRLT0TdHASddtMvHiC1CTIVp11xq8EPTTmRhxSBVJfk3d
 Du/abncIUsSyOjVqPcsOXuuw8kifoLzeFcwoc6ixSWADoHODZ3CkRK7A856uEg0PrxP98YdlC
 GfqYEeOUyvNr309pRvVLi3wIgyJMgo7HtKPkSY0eRJ42fw+rYPTblxFyFLU+LS4w0rMA2SEOi
 IjTHj5bLnsJlwt4F2GwpJnUGlMC2IesfJvCO6q1F+uggi7L8Hr6HbzodPyvT37UJ0+0EdQaQl
 q5iqSNQVGs21NlGFfAJlYTXXq2H7ZsLrdjXs85YCnzx8jLZR8fygMgVZzql9HvY9Vzf2i4rbK
 8WUmwpkGbWIa6fSOXnO/bTT4kymhSPtISXUbNRssxc+E3sbVfJKrZFq6c182i8qj53PH2D7x/
 WesxE0QjWaVfanMbMiRihaBtabLBRNcWlqpC5oApD724wloy939ExIg4WCbavg8fnkWc1CvGT
 dmYky4buwGv7S2drHb/wfsg9dUYT2AehoEKS61MIwWOTyXhraI+yHcHJ0xJ0JKyChlno6iu8Y
 0qQHM0C3+G3CQPQY1NQD8VhfFuEJhpY1z0x7p9WLlQIBANI3/fAqsipGtt3DxbjKgeLgVWd9t
 1SYTHNTSevZAEkSev5Rrayt1MppQ906GRTVyViRoOqe7DI0CRJYFYKImFcaO+pDPCxlMIsZhh
 a15N1Nl9ZYFYiCz5IulmqYpAKvxkJg20qKNIzd48QQzehSZs1Q=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33194
Cc: 33194 <at> debbugs.gnu.org, justin.vanwinkle@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

Hi Eli,

>> Yes, but is doesn't call `revert-buffer' for every single `change'
>> event.
>
> I believe you are saying that most of the CPU cycles are spent in the
> actual reverting.

Yes.

> That might be so, but it isn't 100% sure, and I think we need some
> data to back that up.

Of course, that's the plan. This week, and likely next week as well,
I'll be short in time. But it's on my todo.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33194; Package emacs. Full text available.

Message received at 33194 <at> debbugs.gnu.org:


Received: (at 33194) by debbugs.gnu.org; 30 Oct 2018 12:28:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 30 08:28:44 2018
Received: from localhost ([127.0.0.1]:53472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHT8V-0001ca-Gn
	for submit <at> debbugs.gnu.org; Tue, 30 Oct 2018 08:28:44 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47555)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gHT8T-0001cO-Kn
 for 33194 <at> debbugs.gnu.org; Tue, 30 Oct 2018 08:28:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gHT8I-0003Ej-Rt
 for 33194 <at> debbugs.gnu.org; Tue, 30 Oct 2018 08:28:35 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:36412)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gHT8G-0003D3-2V; Tue, 30 Oct 2018 08:28:28 -0400
Received: from [176.228.60.248] (port=2506 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gHT8C-0000Gi-Sx; Tue, 30 Oct 2018 08:28:28 -0400
Date: Tue, 30 Oct 2018 14:28:36 +0200
Message-Id: <83zhuvk497.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
In-reply-to: <87zhuvaf3w.fsf@HIDDEN> (message from Michael Albinus on Tue, 30
 Oct 2018 11:44:19 +0100)
Subject: Re: bug#33194: 26.1;
 Auto-revert mode causes emacs to use 100% cpu whenever a file is
 being written to in the home directory
References: <CA+gsFk+q30eYxd1D+2GfUwTX=-kDuH6DvFU3M_+yicOhwnANmw@HIDDEN>
 <878t2gbisr.fsf@HIDDEN>
 <CA+gsFkJgpWNZ=2iOaMtdpbHH8UT3tAiJthv+1Fcy9obNWO58Ww@HIDDEN>
 <83pnvskl8b.fsf@HIDDEN> <874ld3bzft.fsf@HIDDEN>
 <834ld3lnsz.fsf@HIDDEN> <87zhuvaf3w.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33194
Cc: 33194 <at> debbugs.gnu.org, justin.vanwinkle@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Cc: justin.vanwinkle@HIDDEN,  33194 <at> debbugs.gnu.org
> Date: Tue, 30 Oct 2018 11:44:19 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> One defense action which comes to mind is to manage the incoming
> >> events. If there is a burst of `change' events in a short time, they
> >> could be cumulated to one event, as inotify does. Implemented in
> >> `file-notify-handle-event', this would applicable to all file
> >> notification backends, and not only to inotify.
> >
> > But won't that by itself require CPU for processing?
> 
> Yes, but is doesn't call `revert-buffer' for every single `change'
> event.

I believe you are saying that most of the CPU cycles are spent in the
actual reverting.  That might be so, but it isn't 100% sure, and I
think we need some data to back that up.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33194; Package emacs. Full text available.

Message received at 33194 <at> debbugs.gnu.org:


Received: (at 33194) by debbugs.gnu.org; 30 Oct 2018 10:44:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 30 06:44:30 2018
Received: from localhost ([127.0.0.1]:53417 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHRVe-0003H0-AX
	for submit <at> debbugs.gnu.org; Tue, 30 Oct 2018 06:44:30 -0400
Received: from mout.gmx.net ([212.227.15.15]:43285)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gHRVc-0003Gn-QS
 for 33194 <at> debbugs.gnu.org; Tue, 30 Oct 2018 06:44:29 -0400
Received: from detlef.gmx.de ([213.220.159.224]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0Ltqb7-1fazRI2AS5-011CGQ; Tue, 30
 Oct 2018 11:44:21 +0100
Received: from detlef.gmx.de ([213.220.159.224]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0Ltqb7-1fazRI2AS5-011CGQ; Tue, 30
 Oct 2018 11:44:21 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33194: 26.1;
 Auto-revert mode causes emacs to use 100% cpu whenever a file is
 being written to in the home directory
References: <CA+gsFk+q30eYxd1D+2GfUwTX=-kDuH6DvFU3M_+yicOhwnANmw@HIDDEN>
 <878t2gbisr.fsf@HIDDEN>
 <CA+gsFkJgpWNZ=2iOaMtdpbHH8UT3tAiJthv+1Fcy9obNWO58Ww@HIDDEN>
 <83pnvskl8b.fsf@HIDDEN> <874ld3bzft.fsf@HIDDEN>
 <834ld3lnsz.fsf@HIDDEN>
Date: Tue, 30 Oct 2018 11:44:19 +0100
In-Reply-To: <834ld3lnsz.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 30 Oct
 2018 12:41:00 +0200")
Message-ID: <87zhuvaf3w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:gRyo5XwCtXNWBhyTL/syf8KyMyCKg58BA024ezfv0qT5PFcsAtP
 7ntya/91BvF3l3G6iuxMQ/dWZyym39RdS/X2RXzgmFe35ARo1WurCnHrD0cGAYMYNcyyexc
 QcWTxhINbhyHQWuLjUUYmaErgXt/nrSyBJFIEwOTQTvB0J/SldiezHxLgRTyNEvhKsaIfca
 KzrGS4mM+T335rwgso9vQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:Ipf8vzMhnh8=:Qm2tNFdt0bvG/t7sWtJJA7
 YiOTGw9LyXbCZ6KzpITrOVEwhBDwxOoLd4EusYTTlnMSrXv8Ya37JKnjcAJntR67MP7h1IdPg
 94ludXMFnw7qUD3GCe1CCTdgOY0yGnO+JH5oE+kdi7M0W3dMhLNkiOE0D5C7uGrpouf4vfGZ1
 qWbjiGuOyp7YJmvuvM6I8rfINyYHGIR6vj8xDJ4bhgp12ClvqO/26HXd5Z8P/sR2LZmvyYGQa
 z8t/cpGCfvJc0XTov5++D1fJyUZk8QfkCB9G906Wtan2dgpqg6UrhoCsuGYMesu18jZ6auZAi
 SG8jxh+zr/030IO2IRYeO91iqMgnbRBiex1yowM4CP3wU8A4wzqZxTM7ISNJNtlCpxJ/14UXH
 a6ggTD/oYdnwONg7IIkuTTOIvc+laIIseAaII8tUFXJS+NjsvOXmm9N9PuY+8mPcn4dMqE7aw
 iIjqnMjbT/zeMBNGSdYL3JkZcHqeT59QGEL22bOuGvQId+NGM2zTDyj/EP88EVHSVsHGTYFG2
 ra+rvK123QSLVVrHmLheU1J1TCVzjCtrFEXe9P7DSIYtbTZPhvVw2nOCEntGSaDwmsoXsuJyy
 5dPgx6usS+jpnUoTYhS9AqX5MziGOEQprFNsVI0iCKy561dzpN+CiPFkSGvl0xkxsq38vpzFe
 xnOEc4vnmBrERXsZ/xGpsKgCkRAwJMVJzRlX+Lmv6akPzO+Zzt4bHXRYB/A8wWJAgewfTLULW
 J+nqnaOFCPlrgnYUzLJF5123DxipK8YwtMzcdwF6KF2ozcs2resddVSiDWK5g7IqljJN5nQ61
 dGPMaMW27cVDsjazJtjnuYv2EVdA4d8bX8Eg6hJCyZcLIYk0ak=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33194
Cc: 33194 <at> debbugs.gnu.org, justin.vanwinkle@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> One defense action which comes to mind is to manage the incoming
>> events. If there is a burst of `change' events in a short time, they
>> could be cumulated to one event, as inotify does. Implemented in
>> `file-notify-handle-event', this would applicable to all file
>> notification backends, and not only to inotify.
>
> But won't that by itself require CPU for processing?

Yes, but is doesn't call `revert-buffer' for every single `change'
event.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33194; Package emacs. Full text available.

Message received at 33194 <at> debbugs.gnu.org:


Received: (at 33194) by debbugs.gnu.org; 30 Oct 2018 10:41:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 30 06:41:01 2018
Received: from localhost ([127.0.0.1]:53413 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHRSG-0003Bp-Q8
	for submit <at> debbugs.gnu.org; Tue, 30 Oct 2018 06:41:00 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34318)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gHRSF-0003Bd-P5
 for 33194 <at> debbugs.gnu.org; Tue, 30 Oct 2018 06:41:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gHRS5-0002Km-Si
 for 33194 <at> debbugs.gnu.org; Tue, 30 Oct 2018 06:40:54 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:34120)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gHRS5-0002Kb-Me; Tue, 30 Oct 2018 06:40:49 -0400
Received: from [176.228.60.248] (port=3802 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gHRS5-0001tT-5b; Tue, 30 Oct 2018 06:40:49 -0400
Date: Tue, 30 Oct 2018 12:41:00 +0200
Message-Id: <834ld3lnsz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
In-reply-to: <874ld3bzft.fsf@HIDDEN> (message from Michael Albinus on Tue, 30
 Oct 2018 09:39:50 +0100)
Subject: Re: bug#33194: 26.1;
 Auto-revert mode causes emacs to use 100% cpu whenever a file is
 being written to in the home directory
References: <CA+gsFk+q30eYxd1D+2GfUwTX=-kDuH6DvFU3M_+yicOhwnANmw@HIDDEN>
 <878t2gbisr.fsf@HIDDEN>
 <CA+gsFkJgpWNZ=2iOaMtdpbHH8UT3tAiJthv+1Fcy9obNWO58Ww@HIDDEN>
 <83pnvskl8b.fsf@HIDDEN> <874ld3bzft.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33194
Cc: 33194 <at> debbugs.gnu.org, justin.vanwinkle@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Michael Albinus <michael.albinus@HIDDEN>
> Cc: Justin Van Winkle <justin.vanwinkle@HIDDEN>,  33194 <at> debbugs.gnu.org
> Date: Tue, 30 Oct 2018 09:39:50 +0100
> 
> One defense action which comes to mind is to manage the incoming
> events. If there is a burst of `change' events in a short time, they
> could be cumulated to one event, as inotify does. Implemented in
> `file-notify-handle-event', this would applicable to all file
> notification backends, and not only to inotify.

But won't that by itself require CPU for processing?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33194; Package emacs. Full text available.

Message received at 33194 <at> debbugs.gnu.org:


Received: (at 33194) by debbugs.gnu.org; 30 Oct 2018 08:40:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 30 04:40:00 2018
Received: from localhost ([127.0.0.1]:53248 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHPZA-0002OP-D4
	for submit <at> debbugs.gnu.org; Tue, 30 Oct 2018 04:40:00 -0400
Received: from mout.gmx.net ([212.227.17.22]:38495)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gHPZ8-0002OB-B6
 for 33194 <at> debbugs.gnu.org; Tue, 30 Oct 2018 04:39:58 -0400
Received: from detlef.gmx.de ([213.220.159.224]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MYcJi-1g4qlJ1JLO-00VQbi; Tue, 30
 Oct 2018 09:39:51 +0100
Received: from detlef.gmx.de ([213.220.159.224]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MYcJi-1g4qlJ1JLO-00VQbi; Tue, 30
 Oct 2018 09:39:51 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33194: 26.1;
 Auto-revert mode causes emacs to use 100% cpu whenever a file is
 being written to in the home directory
References: <CA+gsFk+q30eYxd1D+2GfUwTX=-kDuH6DvFU3M_+yicOhwnANmw@HIDDEN>
 <878t2gbisr.fsf@HIDDEN>
 <CA+gsFkJgpWNZ=2iOaMtdpbHH8UT3tAiJthv+1Fcy9obNWO58Ww@HIDDEN>
 <83pnvskl8b.fsf@HIDDEN>
Date: Tue, 30 Oct 2018 09:39:50 +0100
In-Reply-To: <83pnvskl8b.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 30 Oct
 2018 08:21:56 +0200")
Message-ID: <874ld3bzft.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:R7QscXJtBSTSYlH8Dyk6MBR3eyrCzD+rCk3gpWuYi5VbIB1qkCO
 G0G574wO5E6vvSnbtlPDC2j7Reng22XxuoJb3zGxAm2binsOX8HHyrjoHTaqEsYM+PwQmtk
 Pmp24SCxYKZXleKoi9/x5ku4A932xX+0QZfw6G5lcU5gW7uTEit9suBlIFu22sWU/GhTYKK
 JPRTvAm7D/WUn93RjZQUQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:wxCFdukjMVw=:MRfPjrfIqB3eubgZF0kVFT
 s5Tv4Rt70TV5tQ4OIRqhJe1xG8B8BectfALECt38fV+WbR69Ek43nuZJhv6Y4KwpaPGYCgm+8
 bNnUiyPT8YTrcqoFhybigo6d6Aim8jdGkyyF3urfaqBy0U1GGZJkwec82F/tOLvBi9fqAP4RH
 MGsuFLckXekA8+0HcZHD/uwZZp/QG5Lr9KycUv4f1RIUSkhWyAd/EmoDcqcBoglcJp9ASis9x
 uBK9yw55+Y8HsmoCshk5N0jFJD0PlselNgDO9FJxE96KwRKFy8czoyhxRp1NcjRBDg2c9QEuk
 Y70MoILtKjy7vMFTiv8wPLbBhbXYV6EeP9viQhETbVhGphFYV/t2uNEmo9hYlkaCrHTM49Mpb
 vAEVhtcagEghYe24FewS40bVcREhRvbAzWgJuzkAPFzBY5SnnGtg7OqDhtee6oJ2SH9H327HI
 3KMSaweem2pPmzFDLy+dUNKIF+ysiKLXIqgBBlisJLWa1+LmmcXXnZOTNrxHA8tgdXqRmcAvE
 nIX/JDobEFX8UIxx5lb+ew2G0Sfy4bY+rTLF9o8zvw+ARy/41sr8Aq9nRGKFIBsm97kkblUPZ
 tXIlLVjZqNpkRDU3ZttenBvEbDNH1WDA79qZSrAxT78LXWlFYdlzSY2H9L492fn11UnmN+MEE
 NaHPdJy7vzknXYKh3AUSXfaV+5bPFkwMeAyh3n2cl3F5akCqv6dNaI/9gy4Kr5a0uOgR4R+BR
 2qdhedDeXBlrSqw5taojHZWGnvisYbQGwpA7/3Ak55/JomGCL5YG72RviO4sgQdbXHrnGXPt/
 mM11LGR6Bkbr1UKPLrbGJON4iKGalyeUl9DVuwg+m8bFOLxdfM=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33194
Cc: 33194 <at> debbugs.gnu.org, Justin Van Winkle <justin.vanwinkle@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> It was outside of emacs.  SCP would trigger the cpu usage in emacs,
>> rsync would not (oddly).  Both "cat
>> /dev/zero > somefile" and "dd if=3D/dev/zero of=3Dsomefile" would
>> trigger it if somefile was in my $HOME
>> directory, but none of these would trigger it if I did it in, for
>> example, $HOME/Downloads/
>
> Isn't this expected?  Auto-revert watches the directory of the file,
> so if a lot of changes happen in that directory, Emacs will get a lot
> of file-change notifications, and will need to process them.

Yes.

> If you don't like this, customize auto-revert-use-notify to not use
> notifications.  Or maybe there's some system-wide customization of
> inotify that determine the max frequency of inotify notifications when
> the changes are to the same file.  (I don't know enough about inotify
> to say anything more specific, sorry.)

From inotify(7):

       If successive output  inotify  events  produced  on  the  inotify  f=
ile
       descriptor  are  identical (same wd, mask, cookie, and name), then t=
hey
       are coalesced into a single event if the older event has not  yet  b=
een
       read (but see BUGS).  This reduces the amount of kernel memory requi=
red
       for the event queue, but also means that an application can't use  i=
no=E2=80=90
       tify to reliably count file events.

Maybe we will get the burst of events due to scp; a simple cp might
profit from the described behaviour.

One defense action which comes to mind is to manage the incoming
events. If there is a burst of `change' events in a short time, they
could be cumulated to one event, as inotify does. Implemented in
`file-notify-handle-event', this would applicable to all file
notification backends, and not only to inotify.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33194; Package emacs. Full text available.

Message received at 33194 <at> debbugs.gnu.org:


Received: (at 33194) by debbugs.gnu.org; 30 Oct 2018 06:21:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 30 02:21:57 2018
Received: from localhost ([127.0.0.1]:53130 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHNPY-0001Fr-VU
	for submit <at> debbugs.gnu.org; Tue, 30 Oct 2018 02:21:57 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52020)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gHNPW-0001Fe-NA
 for 33194 <at> debbugs.gnu.org; Tue, 30 Oct 2018 02:21:55 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gHNPN-0000kM-Kg
 for 33194 <at> debbugs.gnu.org; Tue, 30 Oct 2018 02:21:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58454)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gHNPN-0000k8-Eb; Tue, 30 Oct 2018 02:21:45 -0400
Received: from [176.228.60.248] (port=3273 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gHNPM-00035I-Op; Tue, 30 Oct 2018 02:21:45 -0400
Date: Tue, 30 Oct 2018 08:21:56 +0200
Message-Id: <83pnvskl8b.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Justin Van Winkle <justin.vanwinkle@HIDDEN>
In-reply-to: <CA+gsFkJgpWNZ=2iOaMtdpbHH8UT3tAiJthv+1Fcy9obNWO58Ww@HIDDEN>
 (message from Justin Van Winkle on Mon, 29 Oct 2018 17:13:22 -0400)
Subject: Re: bug#33194: 26.1;
 Auto-revert mode causes emacs to use 100% cpu whenever a file is
 being written to in the home directory
References: <CA+gsFk+q30eYxd1D+2GfUwTX=-kDuH6DvFU3M_+yicOhwnANmw@HIDDEN>
 <878t2gbisr.fsf@HIDDEN>
 <CA+gsFkJgpWNZ=2iOaMtdpbHH8UT3tAiJthv+1Fcy9obNWO58Ww@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33194
Cc: michael.albinus@HIDDEN, 33194 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Justin Van Winkle <justin.vanwinkle@HIDDEN>
> Date: Mon, 29 Oct 2018 17:13:22 -0400
> Cc: 33194 <at> debbugs.gnu.org
> 
> It was outside of emacs.  SCP would trigger the cpu usage in emacs, rsync would not (oddly).  Both "cat
> /dev/zero > somefile"  and "dd if=/dev/zero of=somefile" would trigger it if somefile was in my $HOME
> directory, but none of these would trigger it if I did it in, for example, $HOME/Downloads/

Isn't this expected?  Auto-revert watches the directory of the file,
so if a lot of changes happen in that directory, Emacs will get a lot
of file-change notifications, and will need to process them.

If you don't like this, customize auto-revert-use-notify to not use
notifications.  Or maybe there's some system-wide customization of
inotify that determine the max frequency of inotify notifications when
the changes are to the same file.  (I don't know enough about inotify
to say anything more specific, sorry.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33194; Package emacs. Full text available.

Message received at 33194 <at> debbugs.gnu.org:


Received: (at 33194) by debbugs.gnu.org; 29 Oct 2018 21:14:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 29 17:14:53 2018
Received: from localhost ([127.0.0.1]:52265 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHEs9-0002TU-1B
	for submit <at> debbugs.gnu.org; Mon, 29 Oct 2018 17:14:53 -0400
Received: from mail-lj1-f175.google.com ([209.85.208.175]:38741)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <justin.vanwinkle@HIDDEN>) id 1gHEs5-0002TD-Vx
 for 33194 <at> debbugs.gnu.org; Mon, 29 Oct 2018 17:14:51 -0400
Received: by mail-lj1-f175.google.com with SMTP id k11-v6so9293760lja.5
 for <33194 <at> debbugs.gnu.org>; Mon, 29 Oct 2018 14:14:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=aumPlVNF/kYgAt0lZ2NY11I/WacGCE3YvwB+CB8Gk6I=;
 b=T0PAevQ3be8yn2UBSFuyC1H/8GIR8s0/Nw7MQ4RbLCYAWyA4R123tC6mgatnGcFls3
 XKTx72u4tcWjdwjAvjkWvAhKAcE3SnljVFTUj8l1eVOUiSVQA8DaBs5MfnwNzu/7CKR5
 pdDNVopZuLyqVZ7GH9XjTGy6LJ4fA34PsTS59CepvtIBEgpBqCSLANa3ydSFk8tfKOz0
 SsJnhsWDtVvaVjVPXImPCWNsl7CW+PTnJG4ub0WQoFZENucosp4EbGejE5LN7lgKQiyv
 Z4+uyjhyGj5S2fdk46pfUWUQx9qZSoHWbXqTCXGkdEd3K/dUgdn2jail1ey8404fECnG
 PM6A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=aumPlVNF/kYgAt0lZ2NY11I/WacGCE3YvwB+CB8Gk6I=;
 b=RZ2BLN4ClS6eL8oGss9LilGM7ONBSTQMPosiCoiO3e4k+FTAbjo8WagFRUwBHrgW0R
 wfnmYyoUHoRvXeB5hgUyID5b0hLLMuU/9O/nb6j7kvwdK+txFUOL8LpT2bNyG0sLRqIP
 irCCTPFU+uVcyaJ6W6fQcAcPUfpSkMcQ1AsUv34ma/cmtwTrYhDv3/A9URwEPzmZ6U2j
 nuhE1ha9W6Qqnar942ZAmAAJnjcE++rU6nBR5eihysXWcXD74QW6zAN682qUPLQffjI9
 6D0+hgV2jYJRNY3UR5FpsKl0bo4Ygx674ROF4cmeKeC8vG935Ef6gfn/+xwitk/+EnU/
 9D0w==
X-Gm-Message-State: AGRZ1gJECydv4mnrCiO+LSKW02eXfMNJSLerpU5lKiYiM2DN45voQL3K
 Inw6eiryf7wrp9UxJqXlhKxsKY+OdF07FQSBkK0=
X-Google-Smtp-Source: AJdET5eYMkUiIK99Ycz90erQEZtlH9BJFPikxlEssbKBbOB0GYVe48T3RfXdFwQ2UApxzMEWpyos5HBwAUDUP5v6ffI=
X-Received: by 2002:a2e:824c:: with SMTP id
 j12-v6mr10131932ljh.168.1540847684021; 
 Mon, 29 Oct 2018 14:14:44 -0700 (PDT)
MIME-Version: 1.0
References: <CA+gsFk+q30eYxd1D+2GfUwTX=-kDuH6DvFU3M_+yicOhwnANmw@HIDDEN>
 <878t2gbisr.fsf@HIDDEN>
 <CA+gsFkJgpWNZ=2iOaMtdpbHH8UT3tAiJthv+1Fcy9obNWO58Ww@HIDDEN>
In-Reply-To: <CA+gsFkJgpWNZ=2iOaMtdpbHH8UT3tAiJthv+1Fcy9obNWO58Ww@HIDDEN>
From: Justin Van Winkle <justin.vanwinkle@HIDDEN>
Date: Mon, 29 Oct 2018 17:14:33 -0400
Message-ID: <CA+gsFkKB1K8fDyr8r42CWPbU=pJWPMR9B98Z6RaXtMv4LWr53A@HIDDEN>
Subject: Re: bug#33194: 26.1; Auto-revert mode causes emacs to use 100% cpu
 whenever a file is being written to in the home directory
To: michael.albinus@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000dbf1090579648e55"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33194
Cc: 33194 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000dbf1090579648e55
Content-Type: text/plain; charset="UTF-8"

Disabling global-revert-buffer-mode also led to emacs not using cpu.

On Mon, Oct 29, 2018 at 5:13 PM Justin Van Winkle <
justin.vanwinkle@HIDDEN> wrote:

> Hi Michael,
>
> It was outside of emacs.  SCP would trigger the cpu usage in emacs, rsync
> would not (oddly).  Both "cat /dev/zero > somefile"  and "dd if=/dev/zero
> of=somefile" would trigger it if somefile was in my $HOME directory, but
> none of these would trigger it if I did it in, for example, $HOME/Downloads/
>
> I am pretty sure I can reproduce this at will if you need.
>
> - Justin
>
> On Mon, Oct 29, 2018 at 4:27 PM Michael Albinus <michael.albinus@HIDDEN>
> wrote:
>
>> Justin Van Winkle <justin.vanwinkle@HIDDEN> writes:
>>
>> Hi Justin,
>>
>> > I enable global-auto-revert-mode.  I noticed that when I was scp'ing a
>> > large file to my home directory, every emacs process on my machine was
>> > trying to use 100% cpu.  When I stopped the file transfer, emacs would
>> > go back to idle cpu usage.  I ran the emacs profiler and narrowed it
>> > down to revert-buffer.  Auto revert was apparently listening for
>> > changes in my home directory, even for things like file creation or
>> > file modified for files emacs did not have open.
>>
>> How did you "scp'ing a large file"? Inside Emacs, using Tramp, or
>> outside Emacs?
>>
>> Best regards, Michael.
>>
>

--000000000000dbf1090579648e55
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Disabling global-revert-buffer-mode also led to emacs not =
using cpu.</div><br><div class=3D"gmail_quote"><div dir=3D"ltr">On Mon, Oct=
 29, 2018 at 5:13 PM Justin Van Winkle &lt;<a href=3D"mailto:justin.vanwink=
le@HIDDEN">justin.vanwinkle@HIDDEN</a>&gt; wrote:<br></div><blockquot=
e class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc sol=
id;padding-left:1ex"><div dir=3D"ltr">Hi Michael,<div><br></div><div>It was=
 outside of emacs.=C2=A0 SCP would trigger the cpu usage in emacs, rsync wo=
uld not (oddly).=C2=A0 Both &quot;cat /dev/zero &gt; somefile&quot;=C2=A0 a=
nd &quot;dd if=3D/dev/zero of=3Dsomefile&quot; would trigger it if somefile=
 was in my $HOME directory, but none of these would trigger it if I did it =
in, for example, $HOME/Downloads/</div><div><br></div><div>I am pretty sure=
 I can reproduce this at will if you need.</div><div><br></div><div>- Justi=
n</div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr">On Mon, Oct 29=
, 2018 at 4:27 PM Michael Albinus &lt;<a href=3D"mailto:michael.albinus@gmx=
.de" target=3D"_blank">michael.albinus@HIDDEN</a>&gt; wrote:<br></div><bloc=
kquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #cc=
c solid;padding-left:1ex">Justin Van Winkle &lt;<a href=3D"mailto:justin.va=
nwinkle@HIDDEN" target=3D"_blank">justin.vanwinkle@HIDDEN</a>&gt; wri=
tes:<br>
<br>
Hi Justin,<br>
<br>
&gt; I enable global-auto-revert-mode.=C2=A0 I noticed that when I was scp&=
#39;ing a<br>
&gt; large file to my home directory, every emacs process on my machine was=
<br>
&gt; trying to use 100% cpu.=C2=A0 When I stopped the file transfer, emacs =
would<br>
&gt; go back to idle cpu usage.=C2=A0 I ran the emacs profiler and narrowed=
 it<br>
&gt; down to revert-buffer.=C2=A0 Auto revert was apparently listening for<=
br>
&gt; changes in my home directory, even for things like file creation or<br=
>
&gt; file modified for files emacs did not have open.<br>
<br>
How did you &quot;scp&#39;ing a large file&quot;? Inside Emacs, using Tramp=
, or<br>
outside Emacs?<br>
<br>
Best regards, Michael.<br>
</blockquote></div>
</blockquote></div>

--000000000000dbf1090579648e55--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33194; Package emacs. Full text available.

Message received at 33194 <at> debbugs.gnu.org:


Received: (at 33194) by debbugs.gnu.org; 29 Oct 2018 21:13:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 29 17:13:40 2018
Received: from localhost ([127.0.0.1]:52261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHEqy-0002RO-Jx
	for submit <at> debbugs.gnu.org; Mon, 29 Oct 2018 17:13:40 -0400
Received: from mail-lf1-f47.google.com ([209.85.167.47]:33469)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <justin.vanwinkle@HIDDEN>) id 1gHEqx-0002RC-Dw
 for 33194 <at> debbugs.gnu.org; Mon, 29 Oct 2018 17:13:39 -0400
Received: by mail-lf1-f47.google.com with SMTP id i26so2892881lfc.0
 for <33194 <at> debbugs.gnu.org>; Mon, 29 Oct 2018 14:13:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=Ofu8/CEunPAb0W/twH8iotmQuYsygrrDUppriJLRS9s=;
 b=Hv7JUWK01/QOwp4bc3Awt2CsYsQBYQ07Kn6u372hUdbLOb6qlmyD075OAcHsgz7GLZ
 q3kTYKcVmSXjNKyw+qKxxf8ZPgaFszVM++s5UkOhDC7HARzeKBnMqTYmbeDjlaOBdbmG
 X+tYbR7ELoBoFnR/SJ9400QcezrEy6IuSj3Bdi/GbdapkWC/xoMpXOlDRC69DDnNTP+M
 zhelEKa15mK4RgKj3Y7mYkTbzKeD+5Wy0UllIS1J8EdPFE44/xvuGe1wabt1nFdx3dsw
 q++VeLxiPCyLkyvPiJKRZW4Y5gXN5idP8XV07jwNcw8JEnKMJRcDcrUMmZhcnhdKG8JP
 z3Iw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=Ofu8/CEunPAb0W/twH8iotmQuYsygrrDUppriJLRS9s=;
 b=dFZOS3BFnQqWyB4SxqkXHNWBJhhQH54Sy3q1RyOnfYwJUFxDTPM2EBgFWFolVrG3J5
 iCUlWOtmTrZxXlGFmFH+5u0vU+w1Aj9HoCC7+BJrwHYQQ1gxuefg0VseRJvZndU23QBb
 GzY9CMrblEFxzCEWX1b3/MqAwhw6q5CX72F1JysBH4mguTTwYDQFheWqJS5DhazX/aze
 6F+6qxrcjJzihUYLXMRyKwnU63CLBmEUbLAF5BLEVQCJisxXDvh7hSGgGM/5F6j8N1IN
 3OAEI6gZ5xIlKRBBe3XGvwMs+Mz6BHjZvQ8dVr/TgH+xfYw7M1g9h34DcY6+Z6u6wNmu
 po8A==
X-Gm-Message-State: AGRZ1gLD2131lhJDDg3UFrk4TqPlYOSeglA1y1VxJkiDIB/erNhTpt/G
 nDZOPOUjMK2EeN3oZEtgtOAF/Mud610EerR7EUg=
X-Google-Smtp-Source: AJdET5cdS5ASxwl9Wj8ObQ/B/Z9eEFWUYfy7nMy9DGohXun/XcUzN+PtmntPpc7eYLJoXUkGfINR3m2y5FYBthKoj4g=
X-Received: by 2002:a19:9cd5:: with SMTP id
 f204-v6mr199443lfe.41.1540847613200; 
 Mon, 29 Oct 2018 14:13:33 -0700 (PDT)
MIME-Version: 1.0
References: <CA+gsFk+q30eYxd1D+2GfUwTX=-kDuH6DvFU3M_+yicOhwnANmw@HIDDEN>
 <878t2gbisr.fsf@HIDDEN>
In-Reply-To: <878t2gbisr.fsf@HIDDEN>
From: Justin Van Winkle <justin.vanwinkle@HIDDEN>
Date: Mon, 29 Oct 2018 17:13:22 -0400
Message-ID: <CA+gsFkJgpWNZ=2iOaMtdpbHH8UT3tAiJthv+1Fcy9obNWO58Ww@HIDDEN>
Subject: Re: bug#33194: 26.1; Auto-revert mode causes emacs to use 100% cpu
 whenever a file is being written to in the home directory
To: michael.albinus@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000a351490579648a29"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33194
Cc: 33194 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000a351490579648a29
Content-Type: text/plain; charset="UTF-8"

Hi Michael,

It was outside of emacs.  SCP would trigger the cpu usage in emacs, rsync
would not (oddly).  Both "cat /dev/zero > somefile"  and "dd if=/dev/zero
of=somefile" would trigger it if somefile was in my $HOME directory, but
none of these would trigger it if I did it in, for example, $HOME/Downloads/

I am pretty sure I can reproduce this at will if you need.

- Justin

On Mon, Oct 29, 2018 at 4:27 PM Michael Albinus <michael.albinus@HIDDEN>
wrote:

> Justin Van Winkle <justin.vanwinkle@HIDDEN> writes:
>
> Hi Justin,
>
> > I enable global-auto-revert-mode.  I noticed that when I was scp'ing a
> > large file to my home directory, every emacs process on my machine was
> > trying to use 100% cpu.  When I stopped the file transfer, emacs would
> > go back to idle cpu usage.  I ran the emacs profiler and narrowed it
> > down to revert-buffer.  Auto revert was apparently listening for
> > changes in my home directory, even for things like file creation or
> > file modified for files emacs did not have open.
>
> How did you "scp'ing a large file"? Inside Emacs, using Tramp, or
> outside Emacs?
>
> Best regards, Michael.
>

--000000000000a351490579648a29
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi Michael,<div><br></div><div>It was outside of emacs.=C2=
=A0 SCP would trigger the cpu usage in emacs, rsync would not (oddly).=C2=
=A0 Both &quot;cat /dev/zero &gt; somefile&quot;=C2=A0 and &quot;dd if=3D/d=
ev/zero of=3Dsomefile&quot; would trigger it if somefile was in my $HOME di=
rectory, but none of these would trigger it if I did it in, for example, $H=
OME/Downloads/</div><div><br></div><div>I am pretty sure I can reproduce th=
is at will if you need.</div><div><br></div><div>- Justin</div></div><br><d=
iv class=3D"gmail_quote"><div dir=3D"ltr">On Mon, Oct 29, 2018 at 4:27 PM M=
ichael Albinus &lt;<a href=3D"mailto:michael.albinus@HIDDEN">michael.albinu=
s@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D=
"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">Justin Van =
Winkle &lt;<a href=3D"mailto:justin.vanwinkle@HIDDEN" target=3D"_blank">=
justin.vanwinkle@HIDDEN</a>&gt; writes:<br>
<br>
Hi Justin,<br>
<br>
&gt; I enable global-auto-revert-mode.=C2=A0 I noticed that when I was scp&=
#39;ing a<br>
&gt; large file to my home directory, every emacs process on my machine was=
<br>
&gt; trying to use 100% cpu.=C2=A0 When I stopped the file transfer, emacs =
would<br>
&gt; go back to idle cpu usage.=C2=A0 I ran the emacs profiler and narrowed=
 it<br>
&gt; down to revert-buffer.=C2=A0 Auto revert was apparently listening for<=
br>
&gt; changes in my home directory, even for things like file creation or<br=
>
&gt; file modified for files emacs did not have open.<br>
<br>
How did you &quot;scp&#39;ing a large file&quot;? Inside Emacs, using Tramp=
, or<br>
outside Emacs?<br>
<br>
Best regards, Michael.<br>
</blockquote></div>

--000000000000a351490579648a29--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33194; Package emacs. Full text available.

Message received at 33194 <at> debbugs.gnu.org:


Received: (at 33194) by debbugs.gnu.org; 29 Oct 2018 20:27:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 29 16:27:09 2018
Received: from localhost ([127.0.0.1]:52245 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHE7x-0001Mx-Gx
	for submit <at> debbugs.gnu.org; Mon, 29 Oct 2018 16:27:09 -0400
Received: from mout.gmx.net ([212.227.15.18]:33391)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1gHE7w-0001Mk-Cj
 for 33194 <at> debbugs.gnu.org; Mon, 29 Oct 2018 16:27:08 -0400
Received: from detlef.gmx.de ([79.140.117.1]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LlUZz-1fgEsc2sJb-00bKLS; Mon, 29
 Oct 2018 21:27:01 +0100
Received: from detlef.gmx.de ([79.140.117.1]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LlUZz-1fgEsc2sJb-00bKLS; Mon, 29
 Oct 2018 21:27:01 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Justin Van Winkle <justin.vanwinkle@HIDDEN>
Subject: Re: bug#33194: 26.1;
 Auto-revert mode causes emacs to use 100% cpu whenever a file is
 being written to in the home directory
References: <CA+gsFk+q30eYxd1D+2GfUwTX=-kDuH6DvFU3M_+yicOhwnANmw@HIDDEN>
Date: Mon, 29 Oct 2018 21:27:00 +0100
In-Reply-To: <CA+gsFk+q30eYxd1D+2GfUwTX=-kDuH6DvFU3M_+yicOhwnANmw@HIDDEN>
 (Justin Van Winkle's message of "Mon, 29 Oct 2018 12:01:36 -0400")
Message-ID: <878t2gbisr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:M1bIN428spkJp80rmOkDzt2ty/RLo52Fmsx468iWRPDgxZZLb7I
 T5pEV6OiyB3b//+c9lpVoviEUxe7FqPNoKITx6qaEPEx1CguVmn0ar4U8zPBr0BYaWn1Etk
 ryEo077qMPnVs2l2yRIl4WquWlRZpQnOlYq7NR6LZ3n2B5kXSEb+lNL+E1Ho6W24Br+nTM4
 nDG940u2ASE7KnFwlqXGQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:j9cAa3O00gI=:2tF85QWXk9JEXRZbLnOxD2
 AXLm+fVpJiKmun2BmPCr772AAyY4N81bH4fR41qgY4+LzAYBhSl7FyvanqQ7+A9kIMuxBH2KG
 ScUdqjStZrxKqHKP4TWMvjPgqHQ3jSQYZFOCWg9+5h4lTYelW/LU60ixY3s0j9KIQSC5u5/rI
 TH9D5QU+O1Si9AmIDVWQKJlFrb6s5n2AH8daSrau5k1nMarXmV+K0ZrHgHqEGBJ1oRf8qNbiy
 Rf2BduLJQWAX1slkaySdjgUFqVV3FbL9eu1KqpHYTeHoiYbqBqCBaGQSWWi4cKLZONdlDsVnI
 Gd1U/4B0LEWtohWf1kSNZEo5PcIbbQK1BysDLsFkuIOQXWFpwXnynSpAWguoQbIck4Eh8/c6M
 6VfH+N0FeoGlSI8QK+kblMhYNFfeqiH5kW+ezZwN/a+TM4+goQLde+E5+g2rIl9AwDrjHOgxJ
 6s43cDnDMEfLUDxbwYn5QcjQ4e2oTZNlGbJdYvGmXEZy6Od96dxZb7h4UGQfFHMGp0mV9AriB
 4aZvlpv9A5FjdwBnwTQxk0O28b/mhPT0XCEJGPKyMLFNA4lZsLHnfKHjw2xpRK2putXz/LMl9
 GXFs7EZ1yhbohhzqciSd8PsZLd4x0z4fQmgK9ApaX3R0qe5eWBy8i+UscUiIkk1uWtaGwl1eZ
 ReRP+aMMnCR5p/ixcTa1T/eKlqgvSpEyFeWW0cAMOCIlI/GHsQRuWTO2QvsXzlAYNcNj3tc+Q
 M7JETqAvrkQdxYMYA3Nb64O0EAh2Ooiukv/9iIUSrBeOZXRYoOcuK27sA9mEplXyCRsqcK/YC
 yiD9YJasaBZK2Da0VKRalKWjDPULeEOH4mUe0Ytgmlm4NLOkrQ=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33194
Cc: 33194 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Justin Van Winkle <justin.vanwinkle@HIDDEN> writes:

Hi Justin,

> I enable global-auto-revert-mode.  I noticed that when I was scp'ing a
> large file to my home directory, every emacs process on my machine was
> trying to use 100% cpu.  When I stopped the file transfer, emacs would
> go back to idle cpu usage.  I ran the emacs profiler and narrowed it
> down to revert-buffer.  Auto revert was apparently listening for
> changes in my home directory, even for things like file creation or
> file modified for files emacs did not have open.

How did you "scp'ing a large file"? Inside Emacs, using Tramp, or
outside Emacs?

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33194; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Oct 2018 16:45:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 29 12:45:23 2018
Received: from localhost ([127.0.0.1]:52078 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHAfK-0002KQ-Nt
	for submit <at> debbugs.gnu.org; Mon, 29 Oct 2018 12:45:23 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40380)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <justin.vanwinkle@HIDDEN>) id 1gH9za-0001LJ-I2
 for submit <at> debbugs.gnu.org; Mon, 29 Oct 2018 12:02:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <justin.vanwinkle@HIDDEN>) id 1gH9zP-0003CI-Uz
 for submit <at> debbugs.gnu.org; Mon, 29 Oct 2018 12:02:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:38972)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <justin.vanwinkle@HIDDEN>)
 id 1gH9zN-0003A3-RT
 for submit <at> debbugs.gnu.org; Mon, 29 Oct 2018 12:02:02 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:49899)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <justin.vanwinkle@HIDDEN>) id 1gH9zM-0007f2-4z
 for bug-gnu-emacs@HIDDEN; Mon, 29 Oct 2018 12:02:01 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <justin.vanwinkle@HIDDEN>) id 1gH9zF-0002z0-4P
 for bug-gnu-emacs@HIDDEN; Mon, 29 Oct 2018 12:01:56 -0400
Received: from mail-lj1-x229.google.com ([2a00:1450:4864:20::229]:41376)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <justin.vanwinkle@HIDDEN>)
 id 1gH9zD-0002uA-15
 for bug-gnu-emacs@HIDDEN; Mon, 29 Oct 2018 12:01:52 -0400
Received: by mail-lj1-x229.google.com with SMTP id z80-v6so2259742ljb.8
 for <bug-gnu-emacs@HIDDEN>; Mon, 29 Oct 2018 09:01:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=Z+OAG2mJSycIShxW4V9RNy79U6OpDGmrs0BAZZV/X9c=;
 b=BClOWIjZEYKjxDz3mzot+5fQ6MEeFPf5biXmXTVkyM3OYdBgZmqQnW1TT00mWwqeol
 1uimBAuanLReugw0A1zgvcv9AacePTj/w0IgSYmSbgXDUzpdHK6BNb6RIggRqyl37Nk0
 AaIoDHXjz7/p2mchDekyCBg2IsPmSNSEnoZISROIZDQ+H56B+P0Ja7H3jrbkDocTLvpG
 8oTftgk5grjqp1/c+GUCwTdItYJWDtfj9savSODlDJqEC0Elzx6moCkGk0DbYwuDkVaY
 D6LX6cqoZJfTKNLRceQ9t55j4PIkOiHg0Yeqk4eUN6fvL8d9g3pLMalVRkofTNnxqTfJ
 6wRQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=Z+OAG2mJSycIShxW4V9RNy79U6OpDGmrs0BAZZV/X9c=;
 b=W1YJFmZMQIcYfNYi0z7EPkVgG7zx5mQG5tfUM6qioJW42n835epSSIhHs0Ay9JEwT4
 KTJnZDgduK0LsMCUh8iy3ONHbvzTv7EBfk8cDmoL8KBriwLfDLDw+XunvAHhICrpJYQE
 6L0UtwjpjQ3q6btBtWC929qrguXaCrIJUZBzmZmdhWMHPei5sY+xRklz+pjc5wzqeUmk
 noAo4WOWSVdiAcyoTueCzauJDfGJLvNxSpPvCjuCzPwNWadSvQ0xDPkwOAEFL7MOCPTi
 1kccxnUK3+gOXIxkac1scjFZea5/0rwJLCvZrBJRpVmKCleC4ujBdvPzPEbXn5qovl1J
 OzVA==
X-Gm-Message-State: AGRZ1gIBH9e7u4r1ddnEOB271iGfKy+tXqZodfLRXgYmbTGgwjojKc+k
 bn0oHyB56ub45/02/vMNqHGghGl4GQBg4KApoI9EROIEvzA=
X-Google-Smtp-Source: AJdET5f9h/B0jusbTNi/OUNSeodCTirc+k/uRYgdev5eGqeRRi3CuzcWKM5Ca5VjZ+QtS8xu3ksJoXDgEacO4YtnGsY=
X-Received: by 2002:a2e:2019:: with SMTP id
 g25-v6mr1932464ljg.20.1540828907062; 
 Mon, 29 Oct 2018 09:01:47 -0700 (PDT)
MIME-Version: 1.0
From: Justin Van Winkle <justin.vanwinkle@HIDDEN>
Date: Mon, 29 Oct 2018 12:01:36 -0400
Message-ID: <CA+gsFk+q30eYxd1D+2GfUwTX=-kDuH6DvFU3M_+yicOhwnANmw@HIDDEN>
Subject: 26.1; Auto-revert mode causes emacs to use 100% cpu whenever a file
 is being written to in the home directory
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000aa4b440579602f6a"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 29 Oct 2018 12:45:20 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--000000000000aa4b440579602f6a
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

From: Justin Van Winkle
<jvanwink@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.1; Auto-revert mode causes emacs to use 100% cpu whenever a
file is being written to in the home directory
--text follows this line--

I enable global-auto-revert-mode.  I noticed that when I was scp'ing a
large file to my home directory, every emacs process on my machine was
trying to use 100% cpu.  When I stopped the file transfer, emacs would
go back to idle cpu usage.  I ran the emacs profiler and narrowed it
down to revert-buffer.  Auto revert was apparently listening for changes
in my home directory, even for things like file creation or file
modified for files emacs did not have open.

I am running emacs from the MASTER branch from the github mirror.

Doing this little experiment again with the emacs25 build that is
distributed with Ubuntu, no extra cpu usage was seen, so the bug is
either specific to emacs>26 or something about my build (which should
have been basically generic: autogen.sh; ./configure; make -j8   or
something to that effect).


In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
 of 2018-10-14 built on bt
Repository revision: 07f8f9bc5a51f5aa94eb099f3e15fbe0c20ea1ea
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description: Ubuntu 18.04.1 LTS

Recent messages:
Loading autorevert...done
Loading paren...done
Eshell virtualenv support initialized.
For information about GNU Emacs and the GNU system, type C-h C-a.
[2018-10-29 11:56:06] =E2=80=98*scratch*=E2=80=99 [1 259200]
[2018-10-29 11:56:06] =E2=80=98 *Minibuf-0*=E2=80=99 [1 259200]
[2018-10-29 11:56:06] =E2=80=98*Messages*=E2=80=99 [0 259200]
[2018-10-29 11:56:06] =E2=80=98 *code-conversion-work*=E2=80=99 [0 259200]
[2018-10-29 11:56:06] =E2=80=98 *Echo Area 0*=E2=80=99 [0 259200]
[2018-10-29 11:56:06] =E2=80=98 *Echo Area 1*=E2=80=99 [0 259200]

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 THREADS LIBSYSTEMD LCMS2

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=3Dibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  global-flycheck-mode: t
  flycheck-mode: t
  show-paren-mode: t
  global-auto-revert-mode: t
  auto-insert-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec epa epg gnus-util rmail rmail-loaddefs
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils elec-pair justin-theme pcomplete esh-var esh-io esh-cmd
esh-opt esh-ext esh-proc esh-arg esh-groups eshell esh-module esh-mode
esh-util clang-format xml flycheck derived cl-extra json map find-func
help-mode rx subr-x pcase jka-compr compile let-alist virtualenvwrapper
advice gud easy-mmode comint ansi-color ring s dash cl diary-lib
diary-loaddefs cal-menu calendar cal-loaddefs midnight edmacro kmacro
paren autorevert filenotify autoinsert cus-start cus-load finder-inf
info package easymenu epg-config url-handlers url-parse auth-source
cl-seq eieio eieio-core cl-macs eieio-loaddefs password-cache url-vars
seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 228652 15199)
 (symbols 48 29258 1)
 (miscs 40 61 108)
 (strings 32 53756 2633)
 (string-bytes 1 1775330)
 (vectors 16 21499)
 (vector-slots 8 577491 8994)
 (floats 8 65 52)
 (intervals 56 244 59)
 (buffers 992 11))

--000000000000aa4b440579602f6a
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div>From: Justin Van Winkle &lt;jvanwink=
@ct.i-did-not-set--mail-host-address--so-tickle-me&gt;</div><div>To: <a hre=
f=3D"mailto:bug-gnu-emacs@HIDDEN">bug-gnu-emacs@HIDDEN</a></div><div>Subj=
ect: 26.1; Auto-revert mode causes emacs to use 100% cpu whenever a file is=
 being written to in the home directory</div><div>--text follows this line-=
-</div><div><br></div><div>I enable global-auto-revert-mode.=C2=A0 I notice=
d that when I was scp&#39;ing a</div><div>large file to my home directory, =
every emacs process on my machine was</div><div>trying to use 100% cpu.=C2=
=A0 When I stopped the file transfer, emacs would</div><div>go back to idle=
 cpu usage.=C2=A0 I ran the emacs profiler and narrowed it</div><div>down t=
o revert-buffer.=C2=A0 Auto revert was apparently listening for changes</di=
v><div>in my home directory, even for things like file creation or file</di=
v><div>modified for files emacs did not have open.</div><div><br></div><div=
>I am running emacs from the MASTER branch from the github mirror.</div><di=
v><br></div><div>Doing this little experiment again with the emacs25 build =
that is</div><div>distributed with Ubuntu, no extra cpu usage was seen, so =
the bug is</div><div>either specific to emacs&gt;26 or something about my b=
uild (which should</div><div>have been basically generic: autogen.sh; ./con=
figure; make -j8=C2=A0 =C2=A0or</div><div>something to that effect).=C2=A0=
=C2=A0</div><div><br></div><div><br></div><div>In GNU Emacs 26.1 (build 1, =
x86_64-pc-linux-gnu, GTK+ Version 3.22.30)</div><div>=C2=A0of 2018-10-14 bu=
ilt on bt</div><div>Repository revision: 07f8f9bc5a51f5aa94eb099f3e15fbe0c2=
0ea1ea</div><div>Windowing system distributor &#39;The X.Org Foundation&#39=
;, version 11.0.11906000</div><div>System Description:<span style=3D"white-=
space:pre">	</span>Ubuntu 18.04.1 LTS</div><div><br></div><div>Recent messa=
ges:</div><div>Loading autorevert...done</div><div>Loading paren...done</di=
v><div>Eshell virtualenv support initialized.</div><div>For information abo=
ut GNU Emacs and the GNU system, type C-h C-a.</div><div>[2018-10-29 11:56:=
06] =E2=80=98*scratch*=E2=80=99 [1 259200]</div><div>[2018-10-29 11:56:06] =
=E2=80=98 *Minibuf-0*=E2=80=99 [1 259200]</div><div>[2018-10-29 11:56:06] =
=E2=80=98*Messages*=E2=80=99 [0 259200]</div><div>[2018-10-29 11:56:06] =E2=
=80=98 *code-conversion-work*=E2=80=99 [0 259200]</div><div>[2018-10-29 11:=
56:06] =E2=80=98 *Echo Area 0*=E2=80=99 [0 259200]</div><div>[2018-10-29 11=
:56:06] =E2=80=98 *Echo Area 1*=E2=80=99 [0 259200]</div><div><br></div><di=
v>Configured features:</div><div>XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOU=
ND GPM DBUS GSETTINGS NOTIFY</div><div>ACL LIBSELINUX GNUTLS LIBXML2 FREETY=
PE M17N_FLT LIBOTF XFT ZLIB</div><div>TOOLKIT_SCROLL_BARS GTK3 X11 THREADS =
LIBSYSTEMD LCMS2</div><div><br></div><div>Important settings:</div><div>=C2=
=A0 value of $LC_ALL: en_US.UTF-8</div><div>=C2=A0 value of $LANG: en_US.UT=
F-8</div><div>=C2=A0 value of $XMODIFIERS: @im=3Dibus</div><div>=C2=A0 loca=
le-coding-system: utf-8-unix</div><div><br></div><div>Major mode: Lisp Inte=
raction</div><div><br></div><div>Minor modes in effect:</div><div>=C2=A0 gl=
obal-flycheck-mode: t</div><div>=C2=A0 flycheck-mode: t</div><div>=C2=A0 sh=
ow-paren-mode: t</div><div>=C2=A0 global-auto-revert-mode: t</div><div>=C2=
=A0 auto-insert-mode: t</div><div>=C2=A0 global-eldoc-mode: t</div><div>=C2=
=A0 eldoc-mode: t</div><div>=C2=A0 electric-indent-mode: t</div><div>=C2=A0=
 mouse-wheel-mode: t</div><div>=C2=A0 file-name-shadow-mode: t</div><div>=
=C2=A0 global-font-lock-mode: t</div><div>=C2=A0 font-lock-mode: t</div><di=
v>=C2=A0 blink-cursor-mode: t</div><div>=C2=A0 auto-composition-mode: t</di=
v><div>=C2=A0 auto-encryption-mode: t</div><div>=C2=A0 auto-compression-mod=
e: t</div><div>=C2=A0 column-number-mode: t</div><div>=C2=A0 line-number-mo=
de: t</div><div>=C2=A0 transient-mark-mode: t</div><div><br></div><div>Load=
-path shadows:</div><div>None found.</div><div><br></div><div>Features:</di=
v><div>(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddef=
s</div><div>format-spec rfc822 mml mml-sec epa epg gnus-util rmail rmail-lo=
addefs</div><div>mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbre=
v gmm-utils</div><div>mailheader sendmail rfc2047 rfc2045 ietf-drums mm-uti=
l mail-prsvr</div><div>mail-utils elec-pair justin-theme pcomplete esh-var =
esh-io esh-cmd</div><div>esh-opt esh-ext esh-proc esh-arg esh-groups eshell=
 esh-module esh-mode</div><div>esh-util clang-format xml flycheck derived c=
l-extra json map find-func</div><div>help-mode rx subr-x pcase jka-compr co=
mpile let-alist virtualenvwrapper</div><div>advice gud easy-mmode comint an=
si-color ring s dash cl diary-lib</div><div>diary-loaddefs cal-menu calenda=
r cal-loaddefs midnight edmacro kmacro</div><div>paren autorevert filenotif=
y autoinsert cus-start cus-load finder-inf</div><div>info package easymenu =
epg-config url-handlers url-parse auth-source</div><div>cl-seq eieio eieio-=
core cl-macs eieio-loaddefs password-cache url-vars</div><div>seq byte-opt =
gv bytecomp byte-compile cconv cl-loaddefs cl-lib time-date</div><div>mule-=
util tooltip eldoc electric uniquify ediff-hook vc-hooks</div><div>lisp-flo=
at-type mwheel term/x-win x-win term/common-win x-dnd tool-bar</div><div>dn=
d fontset image regexp-opt fringe tabulated-list replace newcomment</div><d=
iv>text-mode elisp-mode lisp-mode prog-mode register page menu-bar</div><di=
v>rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock</div=
><div>syntax facemenu font-core term/tty-colors frame cl-generic cham georg=
ian</div><div>utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao kor=
ean</div><div>japanese eucjp-ms cp51932 hebrew greek romanian slovak czech =
european</div><div>ethiopic indian cyrillic chinese composite charscript ch=
arprop</div><div>case-table epa-hook jka-cmpr-hook help simple abbrev obarr=
ay minibuffer</div><div>cl-preloaded nadvice loaddefs button faces cus-face=
 macroexp files</div><div>text-properties overlay sha1 md5 base64 format en=
v code-pages mule</div><div>custom widget hashtable-print-readable backquot=
e dbusbind inotify lcms2</div><div>dynamic-setting system-font-setting font=
-render-setting move-toolbar gtk</div><div>x-toolkit x multi-tty make-netwo=
rk-process emacs)</div><div><br></div><div>Memory information:</div><div>((=
conses 16 228652 15199)</div><div>=C2=A0(symbols 48 29258 1)</div><div>=C2=
=A0(miscs 40 61 108)</div><div>=C2=A0(strings 32 53756 2633)</div><div>=C2=
=A0(string-bytes 1 1775330)</div><div>=C2=A0(vectors 16 21499)</div><div>=
=C2=A0(vector-slots 8 577491 8994)</div><div>=C2=A0(floats 8 65 52)</div><d=
iv>=C2=A0(intervals 56 244 59)</div><div>=C2=A0(buffers 992 11))</div><div>=
<br></div></div></div>

--000000000000aa4b440579602f6a--




Acknowledgement sent to Justin Van Winkle <justin.vanwinkle@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#33194; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 4 Nov 2018 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.